   * ******************************************************************** *
   * ******************************************************************** *
   *                                                                      *
   *               Mastercard Foundation Scholarship Program Uganda       *
   *               Follow-up								      *
   *               ADMINISTRATIVE MASTER DO_FILE                               *
   *                                                                      *
   * ******************************************************************** *
   * ******************************************************************** *

       /*
       ** PURPOSE:      2 year follow up of the Mastercard Foundation Scholarship Program Uganda in 2016 and 2017

       ** OUTLINE:      PART 0: Standardize settings and install packages, if any
                        PART 1: Set globals for dynamic file paths, if any
                        PART 2: Set globals for constants and varlist
                               used across the project. Install all user-contributed
                               commands needed, if any
                        PART 3: Call the task-specific master do-files 
                               that call all dofiles needed for that 
                               task. Do not include Part 0-2 in a task-
                               specific master do-file


       ** IDS VAR:      list_ID_var_here         //Uniquely identifies households (update for your project)

       ** NOTES:

       ** WRITTEN BY:   Bendetta Lerva, Raaga Akkineni

       ** Last date modified: 25 Jan 2025
       */


   * ******************************************************************** *
   *
   *       PART 1:  PREPARING FOLDER PATH GLOBALS
   *
   *           - Set the global box to point to the project folder
   *            on each collaborator's computer.
   *           - Set other locals that point to other folders of interest.
   *
   * ******************************************************************** *

* These lines are used to test that the name is not already used (do not edit manually)
*round**************************************************************************
*untObs*************************************************************************
*subFld*************************************************************************
*iefolder will not work properly if the lines above are edited


   * Project folder globals
   * ---------------------

*iefolder*1*FolderGlobals*subfolder*********************************************
*iefolder will not work properly if the line above is edited


*iefolder*1*FolderGlobals*master************************************************
*iefolder will not work properly if the line above is edited


*iefolder*1*FolderGlobals*encrypted*********************************************
*iefolder will not work properly if the line above is edited

*iefolder*1*FolderGlobals*endRounds*********************************************
*iefolder will not work properly if the line above is edited

   global mastdata_ad              "$administrative_mast/Data" 			// Master Data 

*iefolder*1*End_FolderGlobals***************************************************
*iefolder will not work properly if the line above is edited


*iefolder*2*StandardGlobals*****************************************************
*iefolder will not work properly if the line above is edited

   * Set all non-folder path globals that are constant accross
   * the project. Examples are conversion rates used in unit
   * standardization, different sets of control variables,
   * adofile paths etc.


*iefolder*2*End_StandardGlobals*************************************************
*iefolder will not work properly if the line above is edited


*iefolder*3*RunDofiles**********************************************************
*iefolder will not work properly if the line above is edited

   * ******************************************************************** *
   *
   *       PART 3: - RUN DOFILES CALLED BY THIS MASTER DOFILE
   *
   *           - When survey rounds are added, this section will
   *            link to the master dofile for that round.
   *           - The default is that these dofiles are set to not
   *            run. It is rare that all round-specfic master dofiles
   *            are called at the same time; the round specific master
   *            dofiles are almost always called individually. The
   *            exception is when reviewing or replicating a full project.
   *
   * ******************************************************************** *
 
   global mastdata_do_ad              "$administrative_mast_gt/Dofiles" 			// .do files for caregiver master data 
 
 *ACTION NEEDED: Set this value to "1" to run corresponding .do files 

 
********************************************************************************
*							 VARIABLE CONSTRUCTION							   *
******************************************************************************** 
  
 ** Variable Construction 
   global administrative_construction	1			// Runs .do file which constructs variables for Administrative dataset
   
      if $administrative_construction == 1 {
       
		do "$mastdata_do_ad/Construction/UNEBData_PLE_UCE_UACE_Cleaning.do" 	
   }

   
********************************************************************************
*							 OUTPUT CREATION								   *
********************************************************************************
   
********************************************************************************
*							 Figures (.pdf files)							   *
********************************************************************************      
  
	*Figure VII: COST COMPARISON - ANTIPOVERTY AND EDUCATION INTERVENTIONS (benefit_cost_comparison, cost_effectiveness_comparison)	
	*Figure A.IX: COMPARATIVE IMPACTS ON TEST SCORES (impact_comparison)
   
   global admin_cost_effectiveness  	1			// Runs .do file creates all figures for Caregiver dataset

   
   if $admin_cost_effectiveness == 1 {
       
	  do "$mastdata_do_ad/Figures/Cost_Effectiveness_Graph.do" 
	  
   }
   
   *Figure A.I: TEST-TAKERS' PERFORMANCE AT PLE	(PLE_distribution_overall)						   *
	  
   
   global admin_PLE  	1			

   
   if $admin_PLE == 1 {
       
	  do "$mastdata_do_ad/Figures/PLE_Distribution.do" 
	  
   }   

*iefolder*3*End_RunDofiles******************************************************
*iefolder will not work properly if the line above is edited

