version 17	
		
set scheme s2gcolor

set seed 20200516

 // Import data: PLE
 import delimited "$administrative_mast/Data/ple-results-by-school-2010-2016.csv", clear
 rename district district_name
 
 gen exam_type = 1
 tempfile ple_by_school
 save `ple_by_school'
 
  // Import data: UCE
  import delimited "$administrative_mast/Data/uce-results-by-school-2011-2016.csv", clear
  
  gen exam_type = 2
  
 rename district district_name
 tempfile uce_by_school
 save `uce_by_school'

  // Import data: UACE
  * import delimited "Data - External\Input\UNEB Statistics\uace-results-2011-2015.csv", clear

  // Append
	use `ple_by_school'
	append using `uce_by_school'
	gen district = .
 
	lab def exam 1 "PLE" 2 "UCE"
	lab val exam_type exam
	
 // Clean and Recode District Names
	
 /*Remove MC and MAIN*/ 
	replace district_name = stritrim(subinstr(district_name, "M/C", " ",.))
	replace district_name = stritrim(subinstr(district_name, "MC", " ",.))

	replace district_name = stritrim(subinstr(district_name, "MAIN", " ",.))
	replace district_name = stritrim(subinstr(district_name, "MUN.", " ",.))
	replace district_name = stritrim(subinstr(district_name, "MUN", " ",.))
	replace district_name = upper(district_name)


 /*Remove leading, trailing, double blanks*/ 
 replace district_name = stritrim(strtrim(district_name))

replace	district	=	15	if district_name == "BUIKWE"	
replace	district	=	17	if district_name == "BUKOMANSIMBI"	
replace	district	=	25	if district_name == "BUTAMBALA"	
replace	district	=	26	if district_name == "BUVUMA"	
replace	district	=	29	if district_name == "GOMBA"	
replace	district	=	41	if district_name == "KALANGALA"	
replace	district	=	43	if district_name == "KALUNGU"	
replace	district	=	44	if district_name == "KAMPALA"	
replace	district	=	51	if district_name == "KAYUNGA"	
replace	district	=	53	if district_name == "KIBOGA"	
replace	district	=	64	if district_name == "KYANKWANZI"	
replace	district	=	70	if district_name == "LUWERO"|district_name == "LUWEERO"	
replace	district	=	71	if district_name == "LWENGO"	
replace	district	=	72	if district_name == "LYANTONDE"	
replace	district	=	75	if district_name == "MASAKA"	
replace	district	=	81	if district_name == "MITYANA"	
replace	district	=	84	if district_name == "MPIGI"	
replace	district	=	85	if district_name == "MUBENDE"	
replace	district	=	86	if district_name == "MUKONO"	
replace	district	=	88	if district_name == "NKASEKE" |	district_name == "NAKASEKE"	
replace	district	=	89	if district_name == "NAKASONGOLA"	
replace	district	=	102	if district_name == "RAKAI"	
replace	district	=	105	if district_name == "SEMBABULE"	| district_name == "SSEMBABULE"
replace	district	=	111	if district_name == "WAKISO" |district_name == "ENTEBBE"
replace	district	=	7	if district_name == "AMURIA"	
replace	district	=	11	if district_name == "BUDAKA"	
replace	district	=	12	if district_name == "BUDUDA"	
replace	district	=	13	if district_name == "BUGIRI"	
replace	district	=	16	if district_name == "BUKEDEA"	
replace	district	=	18	if district_name == "BUKWA"	|district_name == "BUKWO"	
replace	district	=	19	if district_name == "BULAMBULI"	
replace	district	=	23	if district_name == "BUSIA"	
replace	district	=	24	if district_name == "BUTALEGA"|district_name == "BUTALEJA"|district_name == "BUTALEJJA"	
replace	district	=	27	if district_name == "BUYENDA"|district_name == "BUYENDE"
replace	district	=	33	if district_name == "IGANGA"	
replace	district	=	35	if district_name == "JINJA"	
replace	district	=	39	if district_name == "KABERAMAIDO"	
replace	district	=	42	if district_name == "KALIRO"	
replace	district	=	45	if district_name == "KAMULI"	
replace	district	=	48	if district_name == "KAPCHORWA"	
replace	district	=	50	if district_name == "KATAKWI"	
replace	district	=	54	if district_name == "KIBUKU"	
replace	district	=	62	if district_name == "KUMI"	
replace	district	=	63	if district_name == "KWEEN"	
replace	district	=	69	if district_name == "LUUKA"	
replace	district	=	73	if district_name == "MANAFWA"	
replace	district	=	77	if district_name == "MAYUGE"	
replace	district	=	78	if district_name == "MBALE"	
replace	district	=	90	if district_name == "NAMAYINGO"	
replace	district	=	91	if district_name == "NAMUTUMBA"|district_name == "NAMATUMBA"	
replace	district	=	94	if district_name == "NGORA"	
replace	district	=	101	if district_name == "PALLISA"	
replace	district	=	106	if district_name == "SERERE"	
replace	district	=	108	if district_name == "SIRONKO"	
replace	district	=	109	if district_name == "SOROTI"	
replace	district	=	110	if district_name == "TORORO"	
replace	district	=	1	if district_name == "ABIM"	
replace	district	=	2	if district_name == "ADJUMANI"	
replace	district	=	3	if district_name == "AGAGO"	
replace	district	=	4	if district_name == "ALEBTONG"	
replace	district	=	5	if district_name == "AMOLATAR"	
replace	district	=	6	if district_name == "AMUDAT"	
replace	district	=	8	if district_name == "AMURU"	
replace	district	=	9	if district_name == "APAC"	
replace	district	=	10	if district_name == "ARUA"	
replace	district	=	28	if district_name == "DOKOLO"	
replace	district	=	30	if district_name == "GULU"	
replace	district	=	36	if district_name == "KAABONG"	
replace	district	=	58	if district_name == "KITGUM"	
replace	district	=	59	if district_name == "KOBOKO"	
replace	district	=	60	if district_name == "KOLE"	
replace	district	=	61	if district_name == "KOTIDO"	
replace	district	=	67	if district_name == "LAMWO"	
replace	district	=	68	if district_name == "LIRA"	
replace	district	=	74	if district_name == "MARACHA"	
replace	district	=	82	if district_name == "MOROTO"	
replace	district	=	83	if district_name == "MOYO"	
replace	district	=	87	if district_name == "NAKAPIRIPIRIT"	
replace	district	=	92	if district_name == "NAPAK"	
replace	district	=	93	if district_name == "NEBBI"	
replace	district	=	97	if district_name == "NWOYA"	
replace	district	=	98	if district_name == "OTUKE"	
replace	district	=	99	if district_name == "OYAM"	
replace	district	=	100	if district_name == "PADER"	
replace	district	=	112	if district_name == "YUMBE"	
replace	district	=	113	if district_name == "ZOMBO"	
replace	district	=	14	if district_name == "BUHWEJU"	
replace	district	=	20	if district_name == "BULIISA"	
replace	district	=	114	if district_name == "BULINDO"	
replace	district	=	21	if district_name == "BUNDIBUGYO"	
replace	district	=	22	if district_name == "BUSHENYI"	
replace	district	=	31	if district_name == "HOIMA"	
replace	district	=	32	if district_name == "IBANDA"	
replace	district	=	34	if district_name == "INSINGIRO"	| district_name == "ISINGIRO"
replace	district	=	37	if district_name == "KABALE"	
replace	district	=	38	if district_name == "KABAROLE"|district_name == "FORTPORTAL"
replace	district	=	40	if district_name == "KAGADI"	
replace	district	=	46	if district_name == "KAMWENGE"	
replace	district	=	47	if district_name == "KANUNGU"	
replace	district	=	49	if district_name == "KASESE"	
replace	district	=	52	if district_name == "KIBAALE"	
replace	district	=	55	if district_name == "KIRUHURA"	
replace	district	=	56	if district_name == "KIRYANDONGO"	
replace	district	=	57	if district_name == "KISORO"	
replace	district	=	65	if district_name == "KYEGEGWA"	
replace	district	=	66	if district_name == "KYENJOJO"	
replace	district	=	76	if district_name == "MASINDI"	
replace	district	=	79	if district_name == "MBARARA"	
replace	district	=	80	if district_name == "MITOOMA"	
replace	district	=	95	if district_name == "NTOROKO"|district_name == "NTORONKO"
replace	district	=	96	if district_name == "NTUNGAMO"	
replace	district	=	103	if district_name == "RUBIRIZI"	
replace	district	=	104	if district_name == "RUKUNGIRI"	
replace	district	=	107	if district_name == "SHEEMA"	

 // Clean school names
 
	drop if school == ""
 
	replace school = subinstr(school, "ST.MARY,S COLLEGE,MADI-OPEI","ST.MARY'S COLLEGE,MADI-OPEI",  1)
 	
	replace school = subinstr(subinstr(subinstr(subinstr(school, " P.O.BOX ", " P.O. BOX ", 1), " P.O BOX ", " P.O. BOX ", 1), " P.OBOX ", " P.O. BOX ", 1), " P.O BOX", " P.O. BOX", 1)

	replace school = subinstr(subinstr(school, "P.O. BOX ", "P.O. BOX ", 1), "P.O.BOX ", "P.O. BOX ", 1)

	replace school = stritrim(strtrim(school))

	sort exam_type district school year
	split school, parse("BOX") g(school)
	rename school2 pobox
	replace school1 = stritrim(strtrim(school1))
	replace school1 =  subinstr(school1, "P.O.", "", 1)

	replace pobox = stritrim(strtrim(pobox))
	
	/*Eliminate redundant district info*/
	
	levelsof district_name, local(districts)
	split school1, parse(",") g(geo)
	
	replace geo2 = stritrim(strtrim(geo2))

	
	foreach district in `districts'{
		
		 // Drop district info from school name
		replace school1 = subinstr(school1,word(school1, -1),"", 1) 	if geo2 == "`district'"
		
		 // Drop district info from geo2
		 replace geo2 = "" if geo2 == "`district'"
	}
	
	rename geo1 school2
	rename geo2 geo
	
	/*Remove commas and full stops*/ 
	replace school2 = subinstr(school2, ",", " ",.)
	replace school2 = stritrim(subinstr(school2, ".", " ",.))

	/*Remove hyphens*/
	replace school2 = stritrim(subinstr(school2, "-", " ",.))
	
	/* Standardize abbreviations */
	replace school2 = subinstr(subinstr(subinstr(subinstr(school2, " ST.", " ST ",.), "ST.", "ST ", 1), "MT.", "MT ", 1), "DR.", "DR ", 1)

	/*Remove leading, trailing, double blanks*/ 
	replace school2 = stritrim(strtrim(school2))

	/*Expand word "school"*/
	replace school2  = subinstr(school2 , substr(school2 , -3, .), "SCHOOL", 1) if substr(school2 , -3, .) == "SCH"
	
	/* Correct word "school" */
	replace school2 = subinstr(school2, substr(school2, -7, .), "SCHOOL", 1) if substr(school2, -7, .) == "SCHOOLS"

	/* Expand word "bishop" */
	replace school2 = subinstr(school2, substr(school2, 1, 3), "BISHOP", 1) if substr(school2, 1, 2) == "BP"

	/*Expand word "vocational"*/
	replace school2 = subinstr(subinstr(school2, " VOC ", " VOCATIONAL ", 1), " VOC ", " VOCATIONAL ", 1)
	
	/*Expand word "primary" school"*/
	replace school2 = subinstr(school2, " P/S", " PRIMARY SCHOOL", 1)

	/*Expand word "secondary school"*/
replace school2 = subinstr(subinstr(subinstr(school2, " SSS ", " SECONDARY SCHOOL ", 1), " SENIOR SEC SCHOOL", " SECONDARY SCHOOL", 1), " S S S ", " SECONDARY SCHOOL ", 1)
replace school2 = subinstr(school2, " SEN SEC SCHOOL", " SECONDARY SCHOOL", 1)
replace school2 = subinstr(school2, " SENIOR SECONDARY SCHOOL", " SECONDARY SCHOOL", 1)
replace school2 = subinstr(school2, substr(school2, -6, .), " SECONDARY SCHOOL", 1) if substr(school2, -6, .) == " S S S"
replace school2 = subinstr(subinstr(subinstr(school2, " SS ", " SECONDARY SCHOOL ", 1), " SEC SCHOOL", " SECONDARY SCHOOL", 1), " S S ", " SECONDARY SCHOOL ", 1)
replace school2 = subinstr(school2, " SEC SCH ", " SECONDARY SCHOOL", 1)
replace school2 = subinstr(school2, substr(school2, -3, .), " SECONDARY SCHOOL", 1) if substr(school2, -3, .) == " SS"
replace school2 = subinstr(school2, substr(school2, -4, .), " SECONDARY SCHOOL", 1) if substr(school2, -4, .) == " S S" |substr(school2, -4, .) == " SSS"|substr(school2, -4, .) == " SS "
replace school2 = subinstr(school2, substr(school2, -6, .), " SECONDARY SCHOOL", 1) if substr(school2, -6, .) == " S S S"
replace school2 = subinstr(school2, substr(school2, -8, .), " SECONDARY SCHOOL", 1) if substr(school2, -8, .) == " SEC SCH"
replace school2 = subinstr(school2, substr(school2, -11, .), " SECONDARY SCHOOL", 1) if substr(school2, -11, .) == " SEC SCHOOL"
replace school2 = subinstr(school2, " SECOMDARY", " SECONDARY", 1)

/*Expand word "high school"*/
replace school2 = subinstr(subinstr(subinstr(subinstr(school2, " HS ", " HIGH SCHOOL ", 1), " H/S", " HIGH SCHOOL", 1), " H S ", " HIGH SCHOOL ", 1), " HIGH SCH ", " HIGH SCHOOL", 1)
replace school2 = subinstr(school2, substr(school2, -3, .), " HIGH SCHOOL", 1) if substr(school2, -3, .) == " HS"
replace school2 = subinstr(school2, substr(school2, -4, .), " HIGH SCHOOL", 1) if substr(school2, -4, .) == " H S"
replace school2 = subinstr(school2, substr(school2, -5, .), " HIGH SCHOOL", 1) if substr(school2, -5, .) == " HIGH"
replace school2 = subinstr(school2, substr(school2, -7, .), " HIGH SCHOOL", 1) if substr(school2, -7, .) == " HIGH S"
replace school2 = subinstr(school2, substr(school2, -9, .), " HIGH SCHOOL", 1) if substr(school2, -9, .) == " HIGH SCH"

/*Expand word "college"*/
replace school2 = subinstr(school2, substr(school2, -5, .), " COLLEGE", 1) if substr(school2, -5, .) == " COLL"
replace school2 = subinstr(subinstr(subinstr(school2, " COL ", " COLLEGE,", 1), " COLL ", " COLLEGE ", 1), " COLEEGE ", " COLLEGE ", 1)
replace school2 = subinstr(school2, " COLLAGE", " COLLEGE", 1)
replace school2 = subinstr(school2, " COLEGE", " COLLEGE", 1)

/* Expand word "community */
replace school2 = subinstr(school2, " COMM ", " COMMUNITY ", 1) 

/* Expand word "comprehensive" */
replace school2 = subinstr(school2, " COMP ", " COMPREHENSIVE ", 1) 

/* Expand word "memorial"*/
replace school2 = subinstr(school2, " MEM ", " MEMORIAL ", 1)
replace school2 = subinstr(school2, substr(school2, -4, .), " MEMORIAL", 1) if substr(school2, -4, .) == " MEM"

/* Expand word "technical institute"*/
replace school2 = subinstr(school2, "TECH INST", " TECHNICAL INSTITUTE", 1) if substr(school2, -10, .) == " TECH INST"
replace school2 = subinstr(school2, " TECH INST ", " TECHNICAL INSTITUTE ", 1)

/* Expand word "vocational training institute"*/
replace school2 = subinstr(school2, " VTI", " VOCATIONAL TRAINING INSTITUTE", 1) if substr(school2, -4, .) == " VTI"

/* Fix possessive adjective */
replace school2 = subinstr(subinstr(school2, " GIRLS ", " GIRLS' ", 1), " GIRL'S", " GIRLS'", 1)
replace school2 = subinstr(subinstr(school2, " BOYS ", " BOYS' ", 1), " BOY'S", " BOYS'", 1)

/* Eliminate word "seed"*/
replace school2 = subinstr(subinstr(school2, " SEED ", " ", 1), " SEEDS ", " ", 1)

/* Clean school names such that they match the school list*/
replace geo = "" if geo == "PAKELE" &  school2 == "MONSIGNOR BALA SECONDARY SCHOOL" & district == 2
replace school2 = "BALA SECONDARY SCHOOL" if school2 == "MONSIGNOR BALA SECONDARY SCHOOL" & district == 2

replace geo = "" if geo == "KALONGO" &  school2 == "ST FRANCIS HIGH SCHOOL" & district == 3
replace school2 = "ST FRANCIS SECONDARY SCHOOL" if school2 == "ST FRANCIS HIGH SCHOOL" & district == 3
 
   replace geo = "" if geo == "AMURIA PRIVATE BAG AMURIA" &  school2 == "AKOROMIT ARK PEAS HIGH SCHOOL" & district == 7

 replace school2 = "ST MICHEAL SECONDARY SCHOOL" if school2 == "ST MICHAEL SECONDARY SCHOOL" & district == 7
 
  replace school2 = "ARUA PUBLIC SECONDARY SCHOOL" if school2 == "ARUA PUBLIC SCHOOL" & district == 10 & exam_type == 2
  
   replace school2 = "ST JOSEPH'S COLLEGE OMBACI" if school2 == "ST JOSEPH'S COLLEGE" & district == 10 & geo == "OMBACI"

  replace geo = "" if geo == "OMBACI" &  school2 == "ST JOSEPH'S COLLEGE OMBACI" & district == 10
  
     replace school2 = "NILE HIGH SCHOOL ODIANYADRI" if school2 == "NILE HIGH SCHOOL" & geo == "ODIANYADRI" & district == 10 

    replace school2 = "WANDI PROGRESSIVE" if school2 == "WANDI PROGRESSIVE SECONDARY SCHOOL" & district == 10 

    replace school2 = "ST STEPHEN SECONDARY SCHOOL" if school2 == "ST STEPHEN'S BUGIRI SECONDARY SCHOOL" & district == 13
	
    replace school2 = "STANDARD COLLEGE NANKOMA" if school2 == "STANDARD COLLEGE" & geo == "NANKOMA" & district == 13

	replace geo = "BUTEMA-NJERU" if school2 == "AL HIJIRA PRIMARY SCHOOL" & district == 15 & geo == "BUTEMA - NJERU"

	
    replace school2 = "BISHOP NKOYOYO" if school2 == "BISHOP NKOYOYO SECONDARY SCHOOL" & district == 15 & geo == "MATALE"
  replace geo = "" if geo == "MATALE" &  school2 == "BISHOP NKOYOYO" & district == 15

    replace school2 = "LUGAZI HOMESTONE SECONDARY SCHOOL" if school2 == "LUGAZI HOMESTONE SCHOOL" & district == 15 
    
	replace school2 = "LUGAZI MIXED SCHOOL" if school2 == "LUGAZI MIXED SCHOOL NAALYA" & district == 15 
  replace geo = "NAALYA" if geo == "" &  school2 == "LUGAZI MIXED SCHOOL" & district == 15

  	replace school2 = "REHABOTH" if school2 == "REHABOTH INTERGRATED HIGH SCHOOL" & district == 15 & geo == "NJERU"
  replace geo = "" if geo == "NJERU" &  school2 == "REHABOTH" & district == 15
  
  	replace school2 = "SACRED HEART SECONDARY SCHOOL" if school2 == "SACRED HEART NAJJA SECONDARY SCHOOL" & district == 15 
	
	  	replace school2 = "ST MARY'S COLLEGE LUGAZI" if school2 == "ST MARY'S COLLEGE" & geo == "LUGAZI" & district == 15 
  replace geo = "" if geo == "LUGAZI" &  school2 == "ST MARY'S COLLEGE LUGAZI" & district == 15
  
    replace geo = "BUNDIBUGYO" if geo == "" &  school2 == "CHRIST SCHOOL" & district == 21
	
	replace school2 = "THREE ANGELS HIGH SCHOOL" if school2 == "THREE ANGLES HIGH SCHOOL" & district == 21
	replace geo = "" if geo == "BUNDIBIGYO" &  school2 == "THREE ANGELS HIGH SCHOOL" & district == 21
	
	replace school2 = "BURUNGIRA COMBONI SECONDARY SCHOOL" if school2 == "COMBONI SECONDARY SCHOOL" & geo == "BURUNGIRA" & district == 22
		replace geo = "" if geo == "BURUNGIRA" & school2 == "BURUNGIRA COMBONI SECONDARY SCHOOL" & district == 22
		
	replace geo = "NYABUBARE" if school2 == "LIGHT SECONDARY SCHOOL" & geo == "NYABUBARE BUSHENYI" & district == 22
		
	replace school2 = "ST CECELIA GIRLS' SECONDARY SCHOOL" if school2 == "ST CECILIA GIRLS' SECONDARY SCHOOL" | school2 == "ST CECILIA GIRLS'SS" & district == 22

	replace school2 = "VALLEY COLLEGE" if school2 == "VALLEY COLLEGE SECONDARY SCHOOL" & district == 22
	
		replace geo = "" if school2 == "VINE HIGH SCHOOL" & geo == "KYEIZOBA" & district == 22

	replace school2 = "BUKEDI COLLEGE KACHONGA" if school2 == "BUKEDI COLLEGE" & geo == "KACHONGA" & district == 24
	replace geo = "" if school2 == "BUKEDI COLLEGE KACHONGA" & geo == "KACHONGA" & district == 24
	
	replace school2 = "MULAGI SECONDARY SCHOOL" if school2 == "MULAGI GIRLS' SECONDARY SCHOOL"  & district == 24

	replace school2 = "BUKANDULA COLLEGE SCHOOL" if school2 == "BUKANDULA COLLEGE"  & district == 29
	
		replace school2 = "ST JOSEPH'S COLLEGE LAYIBI" if school2 == "ST JOSEPH'S COLLEGE"  & geo == "LAYIBI" & district == 30
		replace geo = "" if school2 == "ST JOSEPH'S COLLEGE LAYIBI" & geo == "LAYIBI" & district == 30

		replace school2 = "ST MARY'S COLLEGE LACHOR" if school2 == "ST MARY'S COLLEGE"  & geo == "LACOR" & district == 30
		replace geo = "" if school2 == "ST MARY'S COLLEGE LACHOR" & geo == "LACOR" & district == 30

		replace school2 = "ST THOMAS MOORE SECONDARY SCHOOL" if school2 == "ST THOMAS MORE SECONDARY SCHOOL"  & district == 30
		
	replace school2 = "KALEGETE SECONDARY SCHOOL" if school2 == "KALEGETE MEMORIAL SECONDARY SCHOOL"  & district == 31

		replace school2 = "MADELA HIGH SCHOOL" if school2 == "MANDELA SECONDARY SCHOOL" & geo == "HOIMA ANNEX"  & district == 31

		replace school2 = "ST ANDREA KAAHWA'S COLLEGE" if school2 == "ST ANDREA KAHWA'S COL" |school2 == "ST ANDREA KAHWA'S COLLEGE"  & district == 31

	replace school2 = "ST PETER'S SECONDARY SCHOOL" if school2 == "ST PETER'S HIGH SCHOOL"  & district == 31

	replace school2 = "KIBULALA ALPHA AND OMEGA VOCATIONAL SCHOOL" if school2 == "KIBURARA ALPHA & OMEGA SECONDARY SCHOOL"| school2 == "KIBURARA ALPHA &amp; OMEGA SECONDARY SCHOOL" & district == 32
	
	replace school2 = "NYAMAREBE SCHOOL" if school2 == "NYAMAREBE HIGH SCHOOL" & district == 32
	
	replace school2 = "AGAPE SECONDARY SCHOOL" if school2 == "AGAPE SECONDARY SCHOOL INTERN"|school2 == "AGAPE SECONDARY SCHOOL INTERNATIONAL" & geo == "BUSEMBATIA" & district == 33
	replace geo = "INTERN. BUSEMBATIA" if school2 == "AGAPE SECONDARY SCHOOL" & geo == "BUSEMBATIA" & district == 33
	
	replace school2 = "KILIBAKI SECONDARY SCHOOL" if school2 == "KIRIBAKI SECONDARY SCHOOL" & district == 33

	replace school2 = "NKUUTU MEMORIAL SECONDARY SCHOOL" if school2 == "NKUTU MEMORIAL SECONDARY SCHOOL" & district == 33
	replace geo = "" if school2 == "NKUUTU MEMORIAL SECONDARY SCHOOL" & geo == "BUSESA" & district == 33

	replace school2 = "WESILE HIGH SCHOOL" if school2 == "WESLEY HIGH SCHOOL" & district == 33
	
	replace school2 = "KYEZIMBIRE HIGH SCHOOL" if school2 == "KYEZIMBIRE SECONDARY SCHOOL" & district == 34
	
	replace school2 = "ST BONE CONCIR KYABIRIKWA SECONDARY SCHOOL" if school2 == "BONI CONSILII GIRLS' VOCATIONAL SECONDARY SCHOOL" & district == 34

	replace school2 = "BUSOGA COLLEGE MWIRI" if school2 == "BUSOGA COLLEGE" & geo == "MWIRI" & district == 35
	replace geo = "" if school2 ==  "BUSOGA COLLEGE MWIRI" & geo == "MWIRI" & district == 35
	
	replace school2 = "HILL SIDE LUBANYI SECONDARY SCHOOL" if school2 == "HILLSIDE COLLEGE" & geo == "LUBANI" & district == 35
	replace geo = "" if school2 ==  "HILL SIDE LUBANYI SECONDARY SCHOOL" & geo == "LUBANI" & district == 35
	
	replace school2 = "JINJA PARENTS SECONDARY SCHOOL" if school2 == "JINJA PARENTS' SCHOOL" & geo == "KAGOMA" & district == 35
	replace geo = "" if school2 ==  "JINJA PARENTS SECONDARY SCHOOL" & geo == "KAGOMA" & district == 35
	
	replace school2 = "KIIRA COLLEGE BUTIKI" if school2 == "KIIRA COLLEGE" & geo == "BUTIKI" & district == 35
	replace geo = "" if school2 ==  "KIIRA COLLEGE BUTIKI" & geo == "BUTIKI" & district == 35
	
	replace school2 = "ST MARY'S COLLEGE LUGAZI" if school2 == "ST MARY'S COLLEGE" & geo == "BUWENGE" & district == 35
	replace geo = "" if school2 == "ST MARY'S COLLEGE LUGAZI" & geo == "BUWENGE" & district == 35
	
	replace school2 = "ST JOHN'S SECONDARY SCHOOL IKUMBA" if school2 == "ST JOHN'S SECONDARY SCHOOL" & geo == "IKUMBA" & district == 37

	replace school2 = "ST JOHN'S SECONDARY SCHOOL NYAKIGUGWE" if school2 == "ST JOHN'S SECONDARY SCHOOL" & geo == "NYAKIGUGWE" & district == 37

	replace school2 = "ST MARY'S COLLEGE RUSHOROZA" if school2 == "ST MARY'S COLLEGE" & geo == "RUSHOROZA" & district == 37
	replace geo = "" if school2 ==  "ST MARY'S COLLEGE RUSHOROZA" & geo == "RUSHOROZA" & district == 37
	
	replace school2 = "ST PAUL'S SEMINARY BUKINDA" if school2 == "ST PAUL'S SEMINARY" & district == 37
	
	replace school2 = "ST THERESA GIRLS' SECONDARY SCHOOL" if school2 == "ST THERESA GIRLS'VOC SECONDARY SCHOOL" & district == 37
	
	replace school2 = "SAMULING KICHWAMBA PEAS HIGH SCHOOL" if school2 == "SAMLING KICHWAMBA PEAS HIGH SCHOOL" & district == 38

		replace school2 = "ST JOHN'S HIGH SCHOOL" if school2 == "ST JOHN'S KIBITO HIGH SCHOOL" & district == 38

		replace school2 = "ST LEO'S COLLEGE KYEGOBE" if school2 == "ST LEO'S COLLEGE" & geo == "KYEGOBE" & district == 38
		replace geo = "" if school2 == "ST LEO'S COLLEGE KYEGOBE" & geo == "KYEGOBE" & district == 38
		
		replace school2 = "ST PAUL'S SECONDARY SCHOOL" if school2 == "ST PAUL SECONDARY SCHOOL" & geo == "RWENGOMA" & district == 38
		replace geo = "" if school2 == "ST PAUL'S SECONDARY SCHOOL" & geo == "RWENGOMA" & district == 38
		
		replace school2 = "BUKALASA SEMINARY" if school2 == "BUKALASA MINOR SEMINARY" & district == 43
		
		replace school2 = "ST ALOZIUS BWANDA" if school2 == "ST ALOYSIUS SECONDARY SCHOOL" & geo == "BWANDA" & district == 43
		replace geo = "" if school2 == "ST ALOZIUS BWANDA" & geo == "BWANDA" & district == 43

			replace geo = "KYAMULIBWA" if school2 == "STAR MAJOR HIGH SCHOOL" & geo == "KYAMULIIBWA" & district == 43

		replace school2 = "BISHOP CIPRIANO KIHANGIRE" if school2 == "BISHOPCIPRIANO KIHANGIRE SECONDARY SCHOOL" & district == 44
		
		replace school2 = "CENTRAL COLLEGE KAWAALA" if school2 == "CENTRAL COLLEGE" & geo == "KAWAALA" & district == 44
		
		replace school2 = "CENTRAL COLLEGE KAWEMPE" if school2 == "CENTRAL COLLEGE" & geo == "KAWEMPE" & district == 44
		
		replace school2 = "CITYSIDE COLLEGE MAKERERE" if school2 == "CITYSIDE COLLEGE"& geo == "MAKERERE" & district == 44
		replace geo = "" if school2 == "CITYSIDE COLLEGE MAKERERE" & geo == "MAKERERE" & district == 44

		replace school2 = "CRANE HIGH SCHOOL KITINTALE" if school2 == "CRANE HIGH SCHOOL" & geo == "KITINTALE" & district == 44

		replace school2 = "EMMA SECONDARY SCHOOL" if school2 == "EMMA HIGH SCHOOL"& geo == "KIKAAYA" & district == 44
		replace geo = "" if school2 == "EMMA SECONDARY SCHOOL" & geo == "KIKAAYA" & district == 44
		
		replace school2 = "KAKUNGULU MEMORIAL SECONDARY SCHOOL" if school2 == "KAKUNGULU MEMORIAL SCHOOL" & district == 44
		replace school2 = "KAWEMPE MOSLIM SECONDARY SCHOOL" if school2 == "KAWEMPE MOSLEM HIGH SCHOOL" & district == 44
		
		replace school2 = "KAZO SECONDARY SCHOOL" if school2 == "KAZO HILL COLLEGE SCHOOL"| school2 == "KAZO HILL COLLEGE,SCHOOL" & geo == "KAWEMPE" & district == 44
		replace geo = "" if school2 == "KAZO SECONDARY SCHOOL" & geo == "KAWEMPE" & district == 44
		
		replace school2 = "LAKESIDE COLLEGE LUZIRA" if school2 == "LAKESIDE COLLEGE" & geo == "LUZIRA" & district == 44
		replace geo = "" if school2 == "LAKESIDE COLLEGE LUZIRA" & geo == "LUZIRA" & district == 44
		
		replace school2 = "MACIAH MEMORIAL SECONDARY SCHOOL" if school2 == "MACKAY MEMORIAL SCHOOL" & geo == "NATETE" &  district == 44
		replace geo = "" if school2 == "MACIAH MEMORIAL SECONDARY SCHOOL" & geo == "NATETE" & district == 44
		
		replace geo = "KAWEMPE" if school2 == "MIDLAND HIGH SCHOOL" & geo == "" & district == 44
		
		replace school2 = "ROYAL COLLEGE MAKINDYE" if school2 == "ROYAL COLLEGE" & geo == "MAKINDYE" &  district == 44
		
		replace school2 = "ROYAL COLLEGE NAMUGONGO" if school2 == "ROYAL COLLEGE" & geo == "NAMUGONGO" &  district == 44
		
		replace school2 = "ST EDWARD'S SECONDARY SCHOOL" if school2 == "ST EDWARD HIGH SCHOOL" & geo == "LUBAGA" &  district == 44
		replace geo = "" if school2 == "ST EDWARD'S SECONDARY SCHOOL" & geo == "LUBAGA" & district == 44


		replace school2 = "ST GEORGE SECONDARY SCHOOL" if school2 == "ST GEORGE HIGH SCHOOL" & geo == "KABUSU" &  district == 44
		replace geo = "KABUUSU" if school2 == "ST GEORGE SECONDARY SCHOOL" & geo == "KABUSU" & district == 44
		replace school2 = "ST JANAN LUWUM SECONDARY SCHOOL" if school2 == "ST JANAN LUWUMU SECONDARY SCHOOL" &  district == 44
		replace school2 = "ST JOSEPH'S GIRLS' NSAMBYA" if school2 == "ST JOSEPH'S GIRLS" & geo == "NSAMBYA" &  district == 44
		replace geo = "" if school2 == "ST JOSEPH'S GIRLS' NSAMBYA" & geo == "NSAMBYA" & district == 44
		
		replace school2 = "ST PETER'S NSAMBYA" if school2 == "ST PETER'S SECONDARY SCHOOL" & geo == "NSAMBYA" &  district == 44
		replace geo = "" if school2 == "ST PETER'S NSAMBYA" & geo == "NSAMBYA" & district == 44
		
		replace school2 = "STENA HILL SECONDARY SCHOOL" if school2 == "STENA HILL SCHOOL" &  district == 44
		
		replace school2 = "TAIBAH HIGH SCHOOL" if school2 == "TAIBAH HIGH SCHOOL" & geo == "KAWEMPE" & district == 44
		replace geo = "" if school2 == "TAIBAH HIGH SCHOOL" & geo == "KAWEMPE" & district == 44
		
		replace school2 = "TRINITY HIGH SCHOOL KANYANYA" if school2 == "TRINITY HIGH SCHOOL" & geo == "KANYANYA" & district == 44
		
		replace school2 = "TRINITY HIGH SCHOOL LUGOBA" if school2 == "TRINITY HIGH SCHOOL" & geo == "LUGOBA" & district == 44
		
		replace school2 = "GREEN HILL COLLEGE BULOPA" if school2 == "GREEN HILL COLLEGE" & geo == "BULOPA" & district == 45
		replace geo = "" if school2 == "GREEN HILL COLLEGE BULOPA" & geo == "BULOPA" & district == 45
		
		replace school2 = "ST JOHN'S BOSCO SECONDARY SCHOOL" if school2 == "ST JOHN BOSCO KAMULI SECONDARY SCHOOL" & district == 45

		replace school2 = "VERONA COLLEGE" if school2 == "VERONA COLLEGE" & geo == "BUSOTA" & district == 45
		replace geo = "" if school2 == "VERONA COLLEGE" & geo == "BUSOTA" & district == 45

		replace school2 = "ST JOHNPATRICK VOCATIONAL SECONDARY SCHOOL" if school2 == "ST JOHN PATRICK VOCATIONAL SECONDARY SCHOOL" & district == 46

		replace school2 = "ST THOMAS AQUINAS COLLEGE" if school2 == "ST THOMAS AQUINAS COLLEGE,KAMWENGE" & district == 46

		replace school2 = "ALLIANCE SECONDARY SCHOOL" if school2 == "ALLIANCE ACADEMY"& geo == "KAMBUGA" & district == 47
		replace geo = "" if school2 == "ALLIANCE SECONDARY SCHOOL" & geo == "KAMBUGA" & district == 47
		
		replace school2 = "BISHOP COMBONI COLLEGE KAMBUGA" if school2 == "BISHOP COMBONI COLLEGE" & geo == "KAMBUGA" & district == 47
		replace geo = "" if school2 == "BISHOP COMBONI COLLEGE KAMBUGA" & geo == "KAMBUGA" & district == 47
		
		replace school2 = "GREAT LAKES SECONDARY SCHOOL" if school2 == "GREAT LAKES HIGH SCHOOL" & district == 47

		replace school2 = "KINKIIZI HIGH SCHOOL" if school2 == "KINKIIZI HIGH SCHOOL" & geo == "NYAKATARE" & district == 47
		replace geo = "" if school2 == "KINKIIZI HIGH SCHOOL" & geo == "NYAKATARE" & district == 47
		
		replace school2 = "MARK HILL GIRLS' SECONDARY SCHOOL" if school2 == "MAKIRO HILL GIRLS' VOCATIONAL SECONDARY SCHOOL" & district == 47
		
		replace school2 = "NYAKABUNGO GIRLS' BOARDING SCHOOL" if school2 == "NYAKABUNGO GIRLS' SECONDARY SCHOOL" & district == 47

		replace geo = "KITUTI" if school2 == "ST KIZITO VOCATIONAL SECONDARY SCHOOL" & geo == "KATUTI" & district == 49

		replace school2 = "ST PAUL'S" if school2 == "ST PAUL COMPREHENSIVE SECONDARY SCHOOL" & district == 50

		replace school2 = "OUTSPAND SECONDARY SCHOOL" if school2 == "OUTSPAN SECONDARY SCHOOL" & district == 51

		replace school2 = "ST MATHIAS KALEMBA SECONDARY SCHOOL" if school2 == "ST KALEMBA SECONDARY SCHOOL" & district == 51

		replace school2 = "ST POSHIAN NGONDWE" if school2 == "ST PONTIANO NGONDWE SECONDARY SCHOOL" & district == 51

		replace school2 = "UGANDA MARTY'S CENTENARY" if school2 == "UGANDA MARTYRS CENTENARY SECONDARY SCHOOL" & district == 51

		replace school2 = "KIBALE OWOBUSHOBOZI BISHAKA NTAMBIRO MODERN SECONDARY SCHOOL" if school2 == "OWOBUSOBOZI B I MODERN SECONDARY SCHOOL" & district == 52

		replace school2 = "NOTRE DAME ACADEMY BUSEESA" if school2 == "NOTRE DAME ACADEMY" & geo == "BUSEESA" & district == 52
		replace geo = "" if school2 == "NOTRE DAME ACADEMY BUSEESA" & geo == "BUSEESA" & district == 52

		replace school2 = "ST ANDREA KAHWA'S SCHOOL" if school2 == "ST ANDREA KAAHWA SCHOOL"| school2 == "ST ANDREA KAAHWA SCHOOLS KOOKI" & district == 52
		replace geo = "" if school2 == "ST ANDREA KAHWA'S SCHOOL" & geo == "KOOKI" & district == 52

		replace school2 = "ST JOSEPH'S SECONDARY SCHOOL KASAMBYA" if school2 == "ST JOSEPH'S SECONDARY SCHOOL" & geo == "KASAMBYA" & district == 52
		
		replace geo = "KASAMBYA" if school2 == "ST JOSEPH'S SECONDARY SCHOOL KASAMBYA" & geo == "" & district == 52

		replace school2 = "ST JOSEPH'S SECONDARY SCHOOL NKOOKO" if school2 == "ST JOSEPH'S SECONDARY SCHOOL" & geo == "NKOOKO" & district == 52

		replace school2 = "ST MARY'S" if school2 == "ST MARY'S SECONDARY SCHOOL" & district == 52
		
		replace school2 = "LIGHT COLLEGE SECONDARY SCHOOL" if school2 == "KIBOGA LIGHT COLLEGE" & district == 53

		replace school2 = "HILL VIEW COLLEGE BULANGIRA" if school2 == "HILL VIEW COLLEGE" & geo == "BULANGIRA" & district == 54
		replace geo = "" if school2 == "HILL VIEW COLLEGE BULANGIRA" & geo == "BULANGIRA" & district == 54


		replace school2 = "UGANDA MARTYS SOOKO VOCATIONAL SCHOOL" if school2 == "UGANDA MARTYRS SOOKO VOCATIONAL SECONDARY SCHOOL" & district == 57

		replace school2 = "ARCHBISHOPS JONAH LUWUM SECONDARY SCHOOL" if school2 == "ARCHBISHOP JANAN LUWUM MEMORIAL COLLEGE"|school2 == "ARCHBP JANAN LUWUM MEMORIAL COLLEGE" & district == 58
		
		replace school2 = "REV.JABULONI ISSOKE MEMORIAL COLLEGE" if school2 == "REV JABULONI ISSOKE MEMORIAL COLLEGE" & district == 58

		replace school2 = "OKOT Y Y SECONDARYSCHOOL" if school2 == "Y Y OKOT GIRLS' MEMORIAL SCHOOL" & district == 58

		replace school2 = "ST MARY'S COLLEGE ABOKE" if school2 == "ST MARY'S GIRLS' COLLEGE" & (geo == "ABOKE" | geo == "ABOKE PRIVATE BAG LIRA") & district == 60
		replace geo = "" if school2 == "ST MARY'S COLLEGE ABOKE" & (geo == "ABOKE" | geo == "ABOKE PRIVATE BAG LIRA") & district == 60

		replace school2 = "DR APORU AKOL MEMORIAL SCHOOL" if school2 == "DR APORU OKOL MEMORIAL SECONDARY SCHOOL" & district == 62

		replace school2 = "ILLUKOR GIRLS' SECONDARY SCHOOL" if school2 == "BISHOPILUKOR GIRLS' SECONDARY SCHOOL" & district == 62

		replace school2 = "NYERO AKA PEAS HIGH SCHOOL" if school2 == "NYERO ARK PEAC HIGH SCHOOL" & district == 62

		replace school2 = "ST MARTIN COMMUNITY SECONDARY SCHOOL" if school2 == "ST MARTIN COMMUNITY SECONDARY SCHOOL" & geo == "MUKONGORO" & district == 62
		replace geo = "" if school2 == "ST MARTIN COMMUNITY SECONDARY SCHOOL" & geo == "MUKONGORO"  & district == 62
		
		replace school2 = "ST JOSEPH'S SECONDARY SCHOOL VVUMBA" if school2 == "ST JOSEPH'S SECONDARY SCHOOL" & geo == "VVUMBA" & district == 64

		replace school2 = "KING SOLOMON'S COLLEGE KYATEGA" if school2 == "KING SOLOMON'S COLLEGE" & geo == "KYATEGA" & district == 65
		replace geo = "" if school2 == "KING SOLOMON'S COLLEGE KYATEGA" & geo == "KYATEGA" & district == 65
		
		replace school2 = "KAMU HIGH SCHOOL" if school2 == "CAMEL HIGH SCHOOL & TC"|school2 == "CAMEL HIGH SCHOOL &amp; TC" & district == 66
		replace geo = "AND TRAINING CENTRE" if school2 == "KAMU HIGH SCHOOL" & district == 66

		replace school2 = "KATOOSA ST ADOLF SECONDARY SCHOOL" if school2 == "ST ADOLF HIGH SCHOOL" & district == 66

		replace school2 = "KYENJOJO INTEGRATED SECONDARY SCHOOL" if school2 == "KYENJOJO INTERGRATED SECONDARY SCHOOL" & district == 66
		replace geo = "ZIKA FOUNDATION" if school2 == "KYENJOJO INTEGRATED SECONDARY SCHOOL" & district == 66

		replace school2 = "ST JOSEPH'S SECONDARY SCHOOL" if school2 == "ST JOSEPH'S HILL SECONDARY SCHOOL" & geo == "KYEMBOGO" & district == 66
		replace geo = "" if school2 == "ST JOSEPH'S SECONDARY SCHOOL" & geo == "KYEMBOGO" & district == 66

		replace school2 = "PALABEK SECONDARY SCHOOL" if school2 == "PALABEK SECONDARY SCHOOL KITGUM" & district == 67

		replace school2 = "DR OBOTE COLLEGE BOROBORO" if school2 == "DR OBOTE COLLEGE" & geo == "BOROBORO" & district == 68
		replace geo = "" if school2 == "DR OBOTE COLLEGE BOROBORO" & geo == "BOROBORO" & district == 68

		replace school2 = "KING JAMES COMP. SECONDARY SCHOOL" if school2 == "KING JAMES COMPREHENSIVE SECONDARY SCHOOL" & district == 68

		replace school2 = "LEO ATUBO COLLEGE NGETTA" if school2 == "LEO ATUBO SECONDARY SCHOOL" & district == 68

		replace school2 = "ST MARY'S MANGADALEN" if school2 == "ST MARY MAGDALENE GIRLS' SECONDARY SCHOOL" & district == 68

			replace school2 = "BUSIIKA MOSLEM SECONDARY SCHOOL" if school2 == "BUSIIKA MUSLIM SECONDARY SCHOOL" & district == 70

			replace school2 = "DESTINY SECONDARY SCHOOL" if school2 == "DESTINY CHRISTIAN HIGH SCHOOL" & district == 70

			replace school2 = "LIGHT OF LIFE SECONDARY SCHOOL" if school2 == "LUWEERO LIGHT OF LIFE SECONDARY SCHOOL" & district == 70

			replace school2 = "MULUSA ACADEMY WOBULENZI" if school2 == "MULUSA ACADEMY" & geo == "WOBULENZI" & district == 70
		replace geo = "" if school2 == "MULUSA ACADEMY WOBULENZI" & geo == "WOBULENZI" & district == 70

			replace school2 = "SAAKU SECONDARY SCHOOL" if school2 == "SSAKU SECONDARY SCHOOL" & district == 70
			replace school2 = "ST AGNES SECONDARY SCHOOL" if school2 == "ST AGNES VOCATIONAL SECONDARY SCHOOL" & geo == "NATTYOLE" & district == 70
		replace geo = "NATYOLE" if school2 == "ST AGNES SECONDARY SCHOOL" & geo == "NATTYOLE" & district == 70

	replace school2 = "ST CYPRIM CHAVANOD COLLEGE LUWEERO KASANA" if school2 == "ST CYPRIAN CHAVANOD COLLEGE" & district == 70
	
	replace geo = "NANYWA-BOMBO" if school2 == "ST LEVIS SECONDARY SCHOOL" & geo == "NANYWA - BOMBO" & district == 70

	replace school2 = "VICTORIA MODEL SENIOR SWCONDARY SCHOOL" if school2 == "VICTORIA MODEL SECONDARY SCHOOL" & district == 70

	replace school2 = "ST BERNARD'S COLLEGE KISWERA" if school2 == "ST BERNARD'S COLLEGE" & geo == "KISWERA" & district == 71
	replace geo = "" if school2 == "ST BERNARD'S COLLEGE KISWERA" & geo == "KISWERA" & district == 71
	
	replace school2 = "ST DENNIS SECONDARY SCHOOL" if school2 == "ST DENIS MAKONDO SECONDARY SCHOOL" & district == 71

	replace school2 = "BUTIRU CHRISTIAN COMP. SECONDARY SCHOOL" if school2 == "BUTIRU CHRISTIAN COMPREHENSIVE SECONDARY SCHOOL" & district == 73

	replace school2 = "TRINITY COLLEGE MAALA" if school2 == "TRINITY COLLEGE" & geo == "MAALA" & district == 73
	replace geo = "" if school2 == "TRINITY COLLEGE MAALA" & geo == "MAALA" & district == 73

	replace school2 = "BUDO SECONDARY SCHOOL" if school2 == "BUDDU MIXED SECONDARY SCHOOL" & geo == "KIDDU MASAKA" & district == 75
	replace geo = "" if school2 == "BUDO SECONDARY SCHOOL" & geo == "KIDDU MASAKA" & district == 75

	
	replace school2 = "CENTERNARY SECONDARY SCHOOL" if school2 == "CENTENARY HIGH SCHOOL" & geo == "NYENDO" & district == 75
	replace geo = "" if school2 == "CENTERNARY SECONDARY SCHOOL" & geo == "NYENDO" & district == 75

	replace school2 = "KADUGALA SECONDARY SCHOOL" if school2 == "KADDUGALA SECONDARY SCHOOL" & district == 75

	replace school2 = "KINDU ST MUGAGGA SECONDARY SCHOOL" if school2 == "ST MUGAGGA VOCATIONAL SECONDARY SCHOOL" & geo == "KAKINDU" & district == 75
	replace geo = "" if school2 == "KINDU ST MUGAGGA SECONDARY SCHOOL" & geo == "KAKINDU" & district == 75
	
	replace school2 = "KIRMYA HIGH SCHOOL" if school2 == "KIRIMYA HIGH SCHOOL" & district == 75
	
	replace school2 = "ST ANTHONY'S KAYUNGA SECONDARY SCHOOL" if school2 == "ST ANTHONY'S SECONDARY SCHOOL KAYUNGA" & district == 75

	replace school2 = "ST HENRY'S COLLEGE KITOVU" if school2 == "ST HENRY'S COLLEGE" & geo == "KITOVU" & district == 75
	replace geo = "" if school2 == "ST HENRY'S COLLEGE KITOVU" & geo == "KITOVU" & district == 75

	replace school2 = "ST THERESA GIRLS' SECONDARY SCHOOL" if school2 == "ST THEREZA GIRLS' SECONDARY SCHOOL" & district == 76

	replace school2 = "ARK PEES KITYELELA" if school2 == "KITYERERA ARK PEAS HIGH SCHOOL" & district == 77

	replace school2 = "HAM DAN GIRLS' SECONDARY SCHOOL" if school2 == "HAMDAN GIRLS' HIGH SCHOOL" & district == 78

  	replace school2 = "MASABA SECONDARY SCHOOL" if school2 == "MASABA HIGH SCHOOL" & district == 78
	
  	replace school2 = "SHUHADA'E ISLAMIC SECONDARY SCHOOL" if school2 == "SHUHADAE ISLAMIC SCHOOL" & district == 79
	
	  replace school2 = "ST ANDREWS SECONDARY SCHOOL" if school2 == "ST ANDREW'S SECONDARY SCHOOL" & geo == "RUBINDI" & district == 79

	  replace school2 = "ST JOSEPH'S VOCATIONAL SECONDARY SCHOOL" if school2 == "ST JOSEPH'S VOCATIONAL SCHOOL" & district == 79
	
	  replace school2 = "ST PATRICK'S HIGH SCHOOL" if school2 == "ST PATRICK'S HIGH SCHOOL" & geo == "KATUKURU" & district == 79
	replace geo = "" if school2 == "ST PATRICK'S HIGH SCHOOL" & geo == "KATUKURU" & district == 79
	
	replace school2 = "ST PAUL'S BIHARWE" if school2 == "ST PAUL'S BIHARWE HIGH SCHOOL" & district == 79

	replace school2 = "ST PETER KATUKURU SECONDARY SCHOOL" if school2 == "ST PETER'S SECONDARY SCHOOL" & geo == "KATUKURU" & district == 79
	replace geo = "" if school2 == "ST PETER KATUKURU SECONDARY SCHOOL" & geo == "KATUKURU" & district == 79

	replace school2 = "MITOOMA VOCATIONAL SECONDARY SCHOOL" if school2 == "MITOOMA SECONDARY SCHOOL" & district == 80

	replace school2 = "HILLSIDE COLLEGE SCHOOL" if school2 == "HILLSIDE COLLEGE" & district == 81
	
	replace school2 = "PIONEER SECONDARY SCHOOL" if school2 == "PIONEER HIGH SCHOOL" & geo == "NAMUNGO" & district == 81
	replace geo = "" if school2 == "PIONEER SECONDARY SCHOOL" & geo == "NAMUNGO" & district == 81

	replace school2 = "SSEKANYONYI SECONDARY SCHOOL" if school2 == "SEKANYONYI SECONDARY SCHOOL" & district == 81
	
	replace school2 = "ST JOSEPH'S KAKINDU" if school2 == "ST JOSEPH'S SECONDARY SCHOOL" & geo == "KAKINDU" & district == 81
	replace geo = "" if school2 == "ST JOSEPH'S KAKINDU" & geo == "KAKINDU" & district == 81
	
	replace school2 = "ST PADRO OPIO SECONDARY SCHOOL" if school2 == "ST PADRE PIO SECONDARY SCHOOL" & geo == "BUSUNJU" & district == 81

	replace school2 = "ST MARY'S SEMINARY NADIKET" if school2 == "NADIKET SEMINARY" & district == 82

	replace school2 = "LOHWA DAY SECONDARY SCHOOL" if school2 == "LOHWA SECONDARY SCHOOL" & district == 83

	replace school2 = "ST ANDREWS COLLEGE MOYO" if school2 == "ST ANDREW'S COLLEGE" & district == 83
	
	replace school2 = "BUJUUKO HIGH SCHOOL" if school2 == "BUJJAKO SECONDARY SCHOOL" & district == 84
	
	replace school2 = "FISHER BRANCH HIGH SCHOOL" if school2 == "FISHER BRANCH KALAGALA HIGH SCHOOL" & district == 84
	
	replace school2 = "FISHER BRANCH HIGH SCHOOL" if school2 == "FISHER BRANCH KALAGALA HIGH SCHOOL" & district == 84

	replace school2 = "KIBUUKA MEMORIAL SECONDARY SCHOOL" if school2 == "KIBUUKA MEMORIAL SCHOOL" & district == 84
	
	replace school2 = "KYASSANKU HILL COLLEGE" if school2 == "KYASANKU HILL COLLEGE" & district == 84
	
	replace school2 = "PRIDE COLLEGE SECONDARY SCHOOL" if school2 == "PRIDE COLLEGE SCHOOL" & district == 84
	
	replace school2 = "ST BENEDICT SECONDARY SCHOOL" if school2 == "ST BENEDICT'S SECONDARY SCHOOL" & geo == "BUWAMA" & district == 84
	replace geo = "" if school2 == "ST BENEDICT SECONDARY SCHOOL" & geo == "BUWAMA" & district == 84

	replace school2 = "ST BRUNO SSERUNKUMA'S SECONDARY SCHOOL" if school2 == "ST BRUNO SECONDARY SCHOOLERUNKUMA'S SS" & district == 84
	
	replace geo = "KANKOBE" if school2 == "ST FRANCIS SECONDARY SCHOOL" & geo == "KINKOBE" & district == 84


	replace school2 = "ST JOSEPH'S OF NAZARETH HIGH SCHOOL" if school2 == "ST JOSEPH OF NAZARETH HIGH SCHOOL" & district == 84

	replace school2 = "ST JOSEPH'S SECONDARY SCHOOL" if school2 == "ST JOSEPH'S SECONDARY SCHOOL" & geo == "KKONGE" & district == 84
	replace geo = "" if school2 == "ST JOSEPH'S SECONDARY SCHOOL" & geo == "KKONGE" & district == 84

	replace school2 = "ST JUDE SECONDARY SCHOOL" if school2 == "ST JUDE'S SEC SCHOOOL"|school2 == "ST JUDE'S SECONDARY SCHOOL" & district == 84

	replace school2 = "ST LAWRENCE SCHOOL" if school2 == "ST LAWRENCE HIGH SCHOOL CROWN CITY" & district == 84
	
	replace school2 = "ST MARIA GORETTI KATENDE" if school2 == "ST MARIA GORETTI SECONDARY SCHOOL" & district == 84

	replace school2 = "ST MARY'S NKOZI SECONDARY SCHOOL" if school2 == "ST MARY'S SECONDARY SCHOOL" & geo == "NKOZI" & district == 84
	
 replace school2 = "ST MARY'S SECONDARY SCHOOL NSUMBA" if school2 == "ST MARY'S SECONDARY SCHOOL" & geo == "NSUMBA" & district == 84

	replace school2 = "HIGH WAY HIGH SCHOOL" if school2 == "HIGHWAY SECONDARY SCHOOL" & district == 85
	
	replace school2 = "MT ZION MUBENDE KATENDE" if school2 == "MT ZION SECONDARY SCHOOL" & geo == "KITENGA" & district == 85
	replace geo = "" if school2 == "MT ZION MUBENDE KATENDE" & geo == "KITENGA" & district == 85

	replace school2 = "MUBENDE ARMY SECONDARY SCHOOL" if school2 == "MUBENDE ARMY SCHOOL" & district == 85

	replace school2 = "ST CHARLES LWANGA" if school2 == "ST CHARLES LWANGA SECONDARY SCHOOL" & district == 85

	replace school2 = "ST ZOE SECONDARY SCHOOL" if school2 == "ST ZOE SEC & VOCATIONAL SCHOOL" | school2 =="ST ZOE SECONDARY &amp; VOCATIONAL SCHOOL" & district == 85

	replace school2 = "BISHOP'S SEN. SCHOOL" if school2 == "BISHOP'S SEN SCHOOL" | school2 == "BISHOP'S SENIOR SCHOOL" & district == 86

	replace school2 = "GODMARK HIGH SCHOOL" if school2 == "GOD MARK HIGH SCHOOL" & district == 86
	
	replace school2 = "KASAWO SEAT OF WISDOM" if school2 == "SEAT OF WISDOM SECONDARY SCHOOL" & geo == "KASAWO" & district == 86
	replace geo = "" if school2 == "KASAWO SEAT OF WISDOM" & geo == "KASAWO" & district == 86

	replace school2 = "KAYINI BRIGHT COLLEGE" if school2 == "KAYINI BRIGHT COLLEGE SCHOOL" & district == 86
	
	replace school2 = "MPOMA BOYS" if school2 == "MPOMA BOYS' SECONDARY SCHOOL" & district == 86

	replace school2 = "MT ST MARY'S COLLEGE NAMAGUNGA" if school2 == "MT ST MARY'S" & geo == "NAMAGUNGA" & district == 86
	replace geo = "" if school2 == "MT ST MARY'S COLLEGE NAMAGUNGA" & geo == "NAMAGUNGA" & district == 86

	replace school2 = "MUKONO COMPREHENSIVE SCHOOL" if school2 == "MUKONO COMPREHENSIVE SECONDARY SCHOOL" & district == 86
	replace school2 = "NAKIFUMA MODERN SECONDARY SCHOOL MUKONO" if school2 == "NAKIFUMA MODERN SECONDARY SCHOOL" & district == 86

	replace school2 = "ROYAL COLLEGE" if school2 == "ROYAL COLLEGE NAMUGONGO" & geo == "MUKONO CAMP" & district == 86
	replace geo = "" if school2 == "ROYAL COLLEGE" & geo == "MUKONO CAMP" & district == 86

	replace school2 = "SEETA HIGH SCHOOL GREEN CAMPUS" if school2 == "SEETA HIGH SCHOOL GREEN CAMPUS" & district == 86
	replace geo = " GREEN CAMPUS" if school2 == "SEETA HIGH SCHOOL GREEN CAMPUS"  & district == 86
	
	replace school2 = "SPRINGFIELD COLLEGE KAWONGO" if school2 == "SPRINGFIELD COLLEGE" & geo == "KAWONGO" & district == 86
	replace geo = "" if school2 == "SPRINGFIELD COLLEGE KAWONGO"  & district == 86
	replace geo = " NAGGALAMA" if school2 == "ST JOSEPH'S SECONDARY SCHOOL" & geo == "NAGGALAMA" & district == 86
	
	  replace school2 = "ST JOSEPH'S SECONDARY SCHOOL KATOSI" if school2 == "ST JOSEPH'S SECONDARY SCHOOL" & geo == "KATOSI" & district == 86
	 
	replace geo = "KATOSI" if school2 == "ST MARY'S SECONDARY SCHOOL" & geo == "KITOSI"  & district == 86
 
	replace geo = " SONDE" if school2 == "ST MICHAEL HIGH SCHOOL"  & district == 86

	  replace school2 = "ST PETER'S SECONDARY SCHOOL KALAGI" if school2 == "ST PETER'S SECONDARY SCHOOL" & geo == "KALAGI" & district == 86
	
	  replace school2 = "ST PETER'S SECONDARY SCHOOL NAMAWOJJOLO" if school2 == "ST PETER'S SECONDARY SCHOOL" & geo == "NAMAWOJJOLO" & district == 86
	
	replace geo = "NAKIBIZI" if school2 == "TRINITY SECONDARY SCHOOL" & geo == "NAKIBIZZI" & district == 86

	replace school2 = "KISALIZI SECONDARY SCHOOL" if school2 == "KISAALIZI SECONDARY SCHOOL" & district == 89
	
	replace school2 = "LAKEVIEW SECONDARY SCHOOL" if school2 == "KISENYI LAKE VIEW SECONDARY SCHOOL" & district == 89

		replace school2 = "NAKASONGOLA ARMY SECONDARY SCHOOL" if school2 == "NAKASONGOLA ARMY SCHOOL" & district == 89

	replace school2 = "ST PHILLIP'S SECONDARY SCHOOL" if school2 == "ST PHILLIPS SECONDARY SCHOOL" & district == 90

	replace geo = "LWANGOSIA" if school2 == "ST PHILLIP'S SECONDARY SCHOOL" & district == 90
	
	replace geo = "" if school2 == "AGAPE SECONDARY SCHOOL"  & district == 91

	replace school2 = "ST MATHIAS MAGADA SECONDARY SCHOOL" if school2 == "ST MATHIAS SECONDARY SCHOOL" & district == 91

	replace geo = "" if school2 == "ST MATHIAS MAGADA SECONDARY SCHOOL"  & district == 91

	replace school2 = "KANGOLE GIRLS' SECONDARY SCHOOL" if school2 == "KANGOLE GIRLS' SCHOOL" & district == 92

	replace school2 = "ST ANDREWS SECONDARY SCHOOL" if school2 == "ST ANDREW'S SECONDARY SCHOOL" & district == 92
	
	replace geo = " LOTOME" if school2 == "ST MATHIAS MAGADA SECONDARY SCHOOL"  & district == 92

	replace geo = "AKISIM" if school2 == "ST STEPHEN'S SECONDARY SCHOOL" & geo == "AKISIM PRIVATE BAG NGORA" & district == 94

	replace school2 = "TESO INTEGRATED SECONDARY SCHOOL" if school2 == "TESO INTERGRATED SECONDARY SCHOOL" & district == 94

	replace school2 = "BRAIN STORM HIGH SCHOOL" if school2 == "BRAINSTORM HIGH SCHOOL" & district == 96
	
	replace geo = "NYAMUKANA" if school2 == "PUBLIC TRUST HIGH SCHOOL" & geo == "KYAMUKANA" & district == 96 

	replace school2 = "RUBARE FOUNDATION COLLEGE SCHOOL" if school2 == "RUBAARE FOUNDATION COLLEGE" & district == 96

	replace geo = "RWASHAMIRE" if school2 == "TRINITY SECONDARY SCHOOL" & district == 96
	
	replace school2 = "EQUATORIAL COMPREHENSIVE SCHOOL" if school2 == "EQUATORIAL COMPREHENSIVE SECONDARY SCHOOL" & district == 99

	replace geo = "" if school2 == "EQUATORIAL COMPREHENSIVE SCHOOL" & district == 99

	replace school2 = "ARCH BISHOP FLYNN SECONDARY SCHOOL" if school2 == "ARCHBP FLYNN SECONDARY SCHOOL" & district == 100

	replace school2 = "DEVINE MERCY SECONDARY SCHOOL" if school2 == "DIVINE MERCY HIGH SCHOOL" & district == 102
	replace geo = "" if school2 == "DEVINE MERCY SECONDARY SCHOOL" & district == 102

	replace school2 = "HOMELAND SECONDARY SCHOOL" if school2 == "HOMELAND COLLEGE" & district == 102
	
	replace geo = "" if school2 == "HOMELAND SECONDARY SCHOOL" & district == 102

	replace school2 = "HOMELAND SECONDARY SCHOOL" if school2 == "HOMELAND COLLEGE" & district == 102

	replace school2 = "KALIISIZO SECONDARY SCHOOL" if school2 == "KALISIZO SCHOOL" & district == 102

	replace school2 = "ST HARMMAN SECONDARY SCHOOL" if school2 == "ST HERMAN SECONDARY SCHOOL" & district == 102
	replace geo = "" if school2 == "ST HARMMAN SECONDARY SCHOOL" & district == 102

	replace geo = "KYOTERA" if school2 == "ST JOHN PRIMARY SCHOOL" & geo == "" & district == 102

	replace geo = "" if school2 == "ST MICHAEL HIGH SCHOOL" & district == 103

	replace school2 = "ST THOMAS VOCATIONAL SCHOOL" if school2 == "ST THOMAS VOCATIONAL SECONDARY SCHOOL" & district == 103

	replace school2 = "ELIZABETH SECONDARY SCHOOL" if school2 == "ST ELIZABETH'S GIRLS" & district == 106
	replace geo = "" if school2 == "ELIZABETH SECONDARY SCHOOL" & district == 106

	replace school2 = "BISHOP MCALLISTER COLLEGE KYOGYERA" if school2 == "BISHOP MCALLISTER COLLEGE" & district == 107
	replace geo = "" if school2 == "BISHOP MCALLISTER COLLEGE KYOGYERA" & district == 107
	
	replace school2 = "ROADSIDE HIGH SCHOOL" if school2 == "ROAD SIDE HIGH SCHOOL" & district == 107
	replace geo = "" if school2 == "ROADSIDE HIGH SCHOOL" & district == 107

	replace school2 = "RYAKASINGA CENTRE FOR H.EDUC." if school2 == "RYAKASINGA CENTRE FOR HIGHER EDUCATION" & district == 107

	replace geo = "" if school2 == "SACRED HEART SECONDARY SCHOOL" & district == 107

	replace school2 = "KIWAGALO SSA" if school2 == "KIWAGALO HIGH SCHOOL" & district == 108
	
	replace school2 = "NAKILUNGU SECONDARY SCHOOL" if school2 == "NAKIRUNGU SECONDARY SCHOOL" & district == 108

	replace school2 = "ST MATHEWS COLLEGE BUHUGU" if school2 == "ST MATTHEW'S COLLEGE"& geo == "BUHUGU" & district == 108
	replace geo = "" if school2 == "ST MATHEWS COLLEGE BUHUGU" & district == 108
	
	replace school2 = "BETHANY GIRLS' COMP. SECONDARY SCHOOL" if school2 == "BETHANY GIRLS' COMPREHENSIVE SECONDARY SCHOOL" & district == 109

	replace school2 = "ST STEVEN SECONDARY SCHOOL" if school2 == "ST STEPHEN SECONDARY SCHOOL" & district == 109

	replace school2 = "TESO COLLEGE ALOET" if school2 == "TESO COLLEGE" & district == 109
	replace geo = "" if school2 == "TESO COLLEGE ALOET" & district == 109

	replace school2 = "KISIKO HIGH SCHOOL" if school2 == "KISOKO HIGH SCHOOL" & district == 110
	
	replace geo = "KIREKA-KAMULI" if school2 == "FAIRWAYS PRIMARY SCHOOL" & geo == "KIREKA - KAMULI" & district == 111


	replace geo = "" if school2 == "BOSTON HIGH SCHOOL" & district == 111

	replace school2 = "BUGANDA COLLEGE SCHOOL" if school2 == "BUGANDA COLLEGE" & district == 111

	replace school2 = "BULOBA ROYAL COLLEGE" if school2 == "BULOOBA ROYAL COLLEGE" & district == 111

	replace school2 = "BULODA HIGH SCHOOL" if school2 == "BULOBA HIGH SCHOOL" & district == 111
	
	replace school2 = "CORNSTONE HIGH NAGAMBO" if school2 == "CORNERSTONE HIGH SCHOOL" & geo == "NANGABO" & district == 111
	replace geo = "" if school2 == "CORNSTONE HIGH NAGAMBO" & geo == "NANGABO" & district == 111
	
	replace school2 = "GAYAZA CAMBRIDGE COLLEGE MBAAGA" if school2 == "GAYAZA CAMBRIDGE COLLEGE"  & district == 111
	
	replace geo = "" if school2 == "GOOD SHEPHERD HIGH SCHOOL"  & district == 111
	
	replace geo = "NANSANA" if school2 == "IQRA HIGH SCHOOL" & geo == ""  & district == 111

	replace geo = "KIBIRA" if school2 == "JOY PRIMARY SCHOOL" & geo == ""  & district == 111

	replace geo = "" if school2 == "KAKUNGULU HIGH SCHOOL"  & district == 111

	replace school2 = "KINAAWA HIGH SCHOOL KASANGATI" if school2 == "KINAAWA HIGH SCHOOL" & geo == "KASANGATI"  & district == 111

	replace school2 = "KINAAWA HIGH SCHOOL KAWEMPE" if school2 == "KINAAWA HIGH SCHOOL" & geo == "KAWEMPE"  & district == 111

	replace school2 = "KING'S COLLEGE BUDO" if school2 == "KING'S COLLEGE"& geo == "BUDO"  & district == 111
	replace geo = "" if school2 == "KING'S COLLEGE BUDO" & geo == "BUDO" & district == 111


	replace school2 = "KINGS WAY SECONDARY SCHOOL" if school2 == "KINGSWAY HIGH SCHOOL" & district == 111

	replace school2 = "KISUBI SEMINARY SECONDARY SCHOOL" if school2 == "KISUBI SEMINARY" & district == 111
	
	replace school2 = "LIGHT COLLEGE KATIKAMU SECONDARY SCHOOL" if school2 == "LIGHT COLLEGE" & geo == "KATIKAMU" & district == 111
	replace geo = "" if school2 == "LIGHT COLLEGE KATIKAMU SECONDARY SCHOOL" & geo == "KATIKAMU" & district == 111
	
	replace geo = "" if school2 == "MERRYLAND HIGH SCHOOL" & geo == "KATABI" & district == 111

	replace school2 = "NAALYA SECONDARY SCHOOL NAMUGONGO" if school2 == "NAALYA SECONDARY SCHOOL" & geo == "NAMUGONGO" & district == 111

	replace school2 = "NAALYA SECONDARY SCHOOL BWEYOGERERE" if school2 == "NAALYA SECONDARY SCHOOL" & geo == "BWEYOGERERE" & district == 111
	
	replace school2 = "NAJJERA HIGH SCHOOL" if school2 == "NAJJEERA HIGH SCHOOL" & district == 111
	
	replace school2 = "NANSANA ST JOSEPH'S SECONDARY SCHOOL" if school2 == "NANSANA ST JOSEPH SECONDARY SCHOOL" & district == 111

	replace geo = "" if school2 == "NYONYINTONO HIGH SCHOOL" & geo == "KAJJANSI" & district == 111

	replace school2 = "OUR LADY OF GOOD COUNSEL GAYAZA" if school2 == "OUR LADY OF GOOD COUNSEL" & district == 111
	
	replace school2 = "PROSPER SECONDARY SCHOOL" if school2 == "PROSPER HIGH SCHOOL" & district == 111
	
	replace school2 = "ST ANDREWS COLLEGE SSANDA" if school2 == "ST ANDREW'S COLLEGE" & geo == "SSANDA" & district == 111
	replace geo = "" if school2 == "ST ANDREWS COLLEGE SSANDA" & geo == "SSANDA" & district == 111
	
	replace school2 = "ST CHARLES LWANGA" if school2 == "ST CHARLES LWANGA SECONDARY SCHOOL" & geo == "KIBIRI" & district == 111
	replace geo = "" if school2 == "ST CHARLES LWANGA" & geo == "KIBIRI" & district == 111

	replace school2 = "ST HENRY'S COLLEGE GANGU" if school2 == "ST HENRY'S COLLEGE" & geo == "GANGU" & district == 111

	replace school2 = "ST HENRY'S COLLEGE MBALWA" if school2 == "ST HENRY'S COLLEGE" & geo == "MBALWA" & district == 111

	replace school2 = "ST KIZITO SECONDARY SCHOOL KABOWA" if school2 == "ST KIZITO SECONDARY SCHOOL" & geo == "KABOWA" & district == 111

	replace school2 = "ST KIZITO SECONDARY SCHOOL KASANJE" if school2 == "ST KIZITO SECONDARY SCHOOL" & geo == "KASANJE" & district == 111

	replace school2 = "KAWEMPE ROYAL COLLEGE BULAGA" if school2 == "KAWEMPE ROYAL COLLEGE" & geo == "BULAGA" & district == 111

	replace school2 = "ST LAWRENCE CITIZENS HORIZON CAMPUS" if school2 == "ST LAWRENCE CITIZENS HIGH SCHOOL HORIZON" & district == 111
	replace geo = "HORIZON" if school2 == "ST LAWRENCE CITIZENS HORIZON CAMPUS" & geo == "" & district == 111

	replace school2 = "ST MARK'S COLLEGE NAMAGOMA" if school2 == "ST MARK'S COLLEGE" & geo == "NAMAGOMA" & district == 111
	replace geo = "" if school2 == "ST MARK'S COLLEGE NAMAGOMA" & geo == "NAMAGOMA" & district == 111

	replace school2 = "ST MARY'S COLLEGE KISUBI" if school2 == "ST MARY'S COLLEGE" & geo == "KISUBI" & district == 111
	replace geo = "" if school2 == "ST MARY'S COLLEGE KISUBI" & geo == "KISUBI" & district == 111
	
	replace school2 = "ST MARY'S HIGH SCHOOL KATALE-BUNAMWAYA" if school2 == "ST MARY'S HIGH SCHOOL" & geo == "KATALE-BUNAMWAYA" & district == 111

	replace school2 = "ST MARY'S HIGH SCHOOL MIGADDE" if school2 == "ST MARY'S HIGH SCHOOL" & geo == "MIGADDE" & district == 111

	replace school2 = "ST MARY'S KITENDE" if school2 == "ST MARY'S SECONDARY SCHOOL" & geo == "KITENDE" & district == 111
	replace geo = "" if school2 == "ST MARY'S KITENDE" & geo == "KITENDE" & district == 111

	replace school2 = "ST MARY'S SECONDARY SCHOOL KITENDE ANNEX" if school2 == "ST MARY'S SECONDARY SCHOOL" & geo == "KITENDE ANNEX" & district == 111

	replace school2 = "ST MARY'S SECONDARY SCHOOL MUTUNGO" if school2 == "ST MARY'S SECONDARY SCHOOL" & geo == "MUTUNGO" & district == 111

	replace school2 = "ST PETER'S SECONDARY SCHOOL SEGUKU" if school2 == "ST PETER'S SECONDARY SCHOOL" & geo == "SEGUKU" & district == 111


	replace school2 = "THE ACADEMY ST LAWRENCE" if school2 == "THE ACADEMY ST LAWRENCE" & geo == "BUDO" & district == 111
	replace geo = "" if school2 == "THE ACADEMY ST LAWRENCE" & geo == "BUDO" & district == 111

	
	replace school2 = "TRINITY COLLEGE NABBINGO" if school2 == "TRINITY COLLEGE" & geo == "NABBINGO" & district == 111
	replace geo = "" if school2 == "TRINITY COLLEGE NABBINGO" & geo == "NABBINGO" & district == 111
	
	replace geo = "" if school2 == "TRUST HIGH SCHOOL" & geo == "KABUBBU" & district == 111

	replace geo = "KAJJANSI" if school2 == "UBAYYI ISLAMIC SECONDARY SCHOOL" & geo == "KAJANSI" & district == 111

	
	replace school2 = "UGANDA MARTYRS NAMUGONGO" if school2 == "UGANDA MARTYRS SECONDARY SCHOOL" & geo == "NAMUGONGO" & district == 111
	replace geo = "" if school2 == "UGANDA MARTYRS NAMUGONGO" & geo == "NAMUGONGO" & district == 111
	
	replace school2 = "WEST HEARTS COLLEGE KIKANDWA" if school2 == "WEST HERTS COLLEGE" & geo == "KIKANDWA" & district == 111
	replace geo = "" if school2 == "WEST HEARTS COLLEGE KIKANDWA" & geo == "KIKANDWA" & district == 111

	replace school2 = "WITS COLLEGE NAMULANDA" if school2 == "WITS COLLEGE" & geo == "NAMULANDA" & district == 111
	replace geo = "" if school2 == "WITS COLLEGE NAMULANDA" & geo == "NAMULANDA" & district == 111
	
	*drop school1
 rename school2 bb_4_clean
 format bb_4_clean %30s
 rename district bb_5_clean
 
 duplicates report school bb_5_clean year exam_type // 21 surplus observations with different statistics
 
 duplicates report bb_4_clean geo pobox bb_5_clean exam_type year
 
collapse(sum) totalcandidates totaldiv1 totaldiv2 totaldiv3 totaldiv4 totalu totalx femalecandidates femaletotaldiv1 femaletotaldiv2 femaletotaldiv3 femaletotaldiv4 femaletotalu femaletotalx totaldiv7 totaldiv9 femaletotaldiv7 femaletotaldiv9, by(bb_4_clean geo bb_5_clean year exam_type)

 duplicates report bb_4_clean geo bb_5_clean year exam_type
 
  * Consistency checks
	egen totalcandidates_chk = rowtotal(totaldiv* totalu totalx)
	
	// Tag inconsistent observations
	gen candidates_nomatch = (totalcandidates_chk != totalcandidates)
	
  * Define pass rate and first division rate
	gen pass_rate = (totaldiv1 + totaldiv2 + totaldiv3 + totaldiv4)/totalcandidates 
	
	replace pass_rate = . if candidates_nomatch == 1
	
	gen firstdiv_rate = totaldiv1/totalcandidates
	
	replace firstdiv_rate = . if candidates_nomatch == 1


 renvars totalcandidates* totaldiv1 totaldiv2 totaldiv3 totaldiv4 totalu totalx femalecandidates femaletotaldiv1 femaletotaldiv2 femaletotaldiv3 femaletotaldiv4 femaletotalu femaletotalx totaldiv7 totaldiv9 femaletotaldiv7 femaletotaldiv9 candidates_nomatch pass_rate firstdiv_rate, suffix(_) 
 
 reshape wide totalcandidates* totaldiv1_ totaldiv2_ totaldiv3_ totaldiv4_ totalu_ totalx_ femalecandidates_ femaletotaldiv1_ femaletotaldiv2_ femaletotaldiv3_ femaletotaldiv4_ femaletotalu_ femaletotalx_ totaldiv7_ totaldiv9_ femaletotaldiv7_ femaletotaldiv9_ candidates_nomatch_ pass_rate_ firstdiv_rate_, i(bb_4_clean geo bb_5_clean exam_type) j(year)
 
  duplicates report exam_type bb_5_clean bb_4_clean
  
	egen avg_pass_rate = rowmean(pass_rate_*)
 	egen avg_firstdiv_rate = rowmean(firstdiv_rate_*)
	
	bysort exam_type: egen rank_passrate = rank(avg_pass_rate), field
	bysort exam_type: egen rank_firstdivrate = rank(avg_firstdiv_rate), field

	rename geo geo2 /*For consistency with how main data is merged*/
	rename bb_4_clean schoolname
	rename bb_5_clean schooldistrict

	compress
	renvars, prefix(UNEB_)
 
	sort UNEB_exam_type UNEB_schoolname UNEB_schooldistrict
	save "$administrative_mast/Data/UNEBData_PLE_UCE_UACE_Cleaned.dta", replace	