version 17	
set more off	

set scheme lean1
	
	matrix I = (0.30, 0.16, 0.20, 0.27, 0.22, 0.23, 0.14 \ 0.43, 0.32, 0.40, 0.53, 0.38, 0.36, 0.22 \0.17, 0.008, 0.01, 0.01, 0.06, 0.09, 0.06)

	matrix CE = (0.01, 0.00, 0.06, 1.38, 3.56, 1.97, 3.07 \ 0.01, 0.01, 0.12, 2.73, 6.14, 3.17, 4.79 \0.00, 0.00, 0.00, 0.03, 0.98, 0.77, 1.35)

	matrix CE1 = (0.01, 0.00, 0.06, 1.38, 3.56, 1.97, 3.07)


	matrix colnames CE = "Scholars Program O-Level" "Scholars Program A-Level" "Cash Transfer, Malawi" "Girl Merit Scholarships, Kenya" "Books for Top Students, Kenya" "Extra Teacher + Tracking, Kenya" "Remedial Education, India"
	
	matrix rownames CE = est ub lb

	matrix colnames I = "Scholars Program O-Level" "Scholars Program A-Level" "Cash Transfer, Malawi" "Girl Merit Scholarships, Kenya" "Books for Top Students, Kenya" "Extra Teacher + Tracking, Kenya" "Remedial Education, India"

	coefplot matrix(CE[1]) , ci((CE[2] CE[3]))  xscale(range(0 7) titlegap(3)) xlabel(0(2)6, labsize(vsmall)) /*ylabel(, nolabels tlength(0))*/  xtitle("Additional SD per $100", size(medlarge)) msymbol(pipe) mcolor(red) msize(small) mlabel format(%9.2g) mlabposition(12) mlabgap(*2) mlabcolor(g0) ciopts(color(gs10)) graphregion(color(white)) bgcolor(white)
	
	coefplot matrix(CE[1]) ,  recast(bar) xscale(range(0 4) titlegap(3)) barwidth(0.3) fcolor(maroon) lcolor(black) addplot(scatter @at @b , ms(i)  mlabel(@b) mlabpos(9) mlabgap(-7) mlabcolor(black))  graphregion(color(white)) bgcolor(white) /*ylabel(, nolabels tlength(0))*/  xtitle("Additional SD per $100")
graph export "$administrative_mast/Outputs/Figures/cost_effectiveness_comparison.pdf", replace

	coefplot matrix(I[1]), ci((I[2] I[3])) xscale(range(0 1) titlegap(3)) xlabel(0(0.2)1, labsize(vsmall)) xtitle("Impact in SD", size(medlarge)) msymbol(square) mcolor(maroon) msize(small) graphregion(color(white)) bgcolor(white) mlabel format(%9.2g) mlabposition(12) mlabgap(*2) mlabcolor(g0) ciopts(color(gs0))
	
graph export "$administrative_mast/Outputs/Figures/impact_comparison.pdf", replace

	matrix CB = (2.32, 2.60, 1.33, 4.33, 1.27, 1.79, 1.46, 0.35)
	
	matrix colnames CB = "Afghanistan" "Ethiopia" "Ghana" "India" "Niger" "Pakistan" "Peru" "Scholars Program"

	coefplot matrix(CB[1]) ,  recast(bar) xscale(range(0 4) titlegap(3)) barwidth(0.3) fcolor(maroon) lcolor(black) addplot(scatter @at @b , ms(i)  mlabel(@b) mlabpos(9) mlabgap(-7) mlabcolor(black))  graphregion(color(white)) bgcolor(white) /*ylabel(, nolabels tlength(0))*/  xtitle("Benefit/Cost Ratio") xscale(r(0 5))
graph export "$administrative_mast/Outputs/Figures/benefit_cost_comparison.pdf", replace

        	 
	