version 17	
		
use "$administrative_mast/Data/UNEBData_PLE_UCE_UACE_Cleaned.dta", clear


/*
set scheme lean1
*/

set seed 20200516
pause on

preserve 

keep if UNEB_exam_type == 1

reshape long UNEB_totalcandidates_ UNEB_totaldiv1_ UNEB_totaldiv2_ UNEB_totaldiv3_ UNEB_totaldiv4_ UNEB_totalu_ UNEB_totalx_, i( UNEB_schoolname UNEB_geo2 UNEB_schooldistrict) j(year)

collapse (sum) UNEB_totalcandidates_ UNEB_totaldiv1_ UNEB_totaldiv2_ UNEB_totaldiv3_ UNEB_totaldiv4_ UNEB_totalu_ UNEB_totalx_, by(year)

rename UNEB_totalu_ UNEB_totaldivu_
rename UNEB_totalx_ UNEB_totaldivx_

reshape long UNEB_totaldiv@_, i(year) j(div, s)
graph bar UNEB_totaldiv_, over(div) over(year)

gen perc = UNEB_totaldiv_/UNEB_totalcandidates_
graph bar perc, over(div) over(year) ytitle(Share of Test Takers) asyvars bar(1, fcolor(maroon) lw(none))  bar(2, fcolor(maroon*.8) lw(none)) bar(3, fcolor(maroon*.6) lw(none)) bar(4, fcolor(maroon*.4) lw(none)) bar(5, fcolor(maroon*.2) lw(none)) bar(6, fcolor(gray*.2) lw(none)) leg(title(Division, size(medium))) legend(position (3) cols(1))

graph export "$administrative_mast/Outputs/Figures/PLE_distribution_overall.pdf", replace

restore

/*
preserve 

keep if UNEB_exam_type == 2

reshape long UNEB_totalcandidates_ UNEB_totaldiv1_ UNEB_totaldiv2_ UNEB_totaldiv3_ UNEB_totaldiv4_ UNEB_totaldiv7_ UNEB_totaldiv9_  UNEB_totalu_ UNEB_totalx_ , i( UNEB_bb_4_clean UNEB_geo UNEB_bb_5_clean) j(year)

collapse (sum) UNEB_totalcandidates_ UNEB_totaldiv1_ UNEB_totaldiv2_ UNEB_totaldiv3_ UNEB_totaldiv4_ UNEB_totaldiv7_ UNEB_totaldiv9_ UNEB_totalu_ UNEB_totalx_, by(year)

rename UNEB_totalu_ UNEB_totaldivu_
rename UNEB_totalx_ UNEB_totaldivx_

count if UNEB_totaldivu_ != 0
if r(N) == 0 drop UNEB_totaldivu_ /* drop if no entries for division u*/

reshape long UNEB_totaldiv@_, i(year) j(div, s)

drop if year == 2010 /* no data for 2010*/

gen perc = UNEB_totaldiv_/UNEB_totalcandidates_
graph bar perc, over(div) over(year) ytitle(Share of Test Takers) asyvars bar(1, fcolor(cranberry) lw(none))  bar(2, fcolor(cranberry*.8) lw(none)) bar(3, fcolor(cranberry*.6) lw(none)) bar(4, fcolor(cranberry*.4) lw(none)) bar(5, fcolor(gray*.2) lw(none)) bar(6, fcolor(gray*.4) lw(none)) bar(7, fcolor(gray*.6) lw(none)) leg(title(Division, size(medium)))

graph export "$administrative_mast/Outputs/UCE_distribution_overall.pdf", replace

restore



