********************************************************************************
global cohortFE cohort2014
global districtFE i.NSC_intdcode
global sexFE sex_app

use "$caregiver_mast/Data/Cohort2014_2015_AttritionAnalysisRosters_Data_deid.dta", clear

*** Define "not found at followup" variable
	
	gen notfoundatFU = (attrited == 2)
	
	replace notfoundatFU = . if attrited == 1 | attrited == 3 /* if attrited at baseline or never found*/

* Select Sample (9613 observations deleted - 9907 obs stay)


keep if baseline == 0 	

keep if final_select == 1

keep if notfoundatFU == 0


lab var out1_feesPPP "School Fees"
lab var out1_private "Private School"

// Remove applicants 
keep if rel != 10 /* (1,121 observations deleted) */

forvalues n = 1(1)13{
eststo y`n' : ivreg2 out1_feesPPP  T_0 out1_feesPPP_b $districtFE $sexFE $cohortFE	///
	if out1_edu == `n' & out1_student_b == 1	,								///
	cluster(id_new) robust partial($districtFE $sexFE $cohortFE out1_feesPPP_b)
}

coefplot y1 || y2 || y3 || y4 || y5 || y6 || y7 || y8 || y9 || y10 || y11 || y12, ///
	vertical bycoefs bylabel() recast(line) yline(0 , lcolor(gs12))				///
	bylabels("P1" "P2" "P3" "P4" "P5" "P6" "P7" "S1" "S2" "S3" "S4" "S5")		///
	xtitle(Sibling School Grade) xscale(titlegap(1.2)) xlabel(, labsize(small)) ytitle("Fees, \$ ") ylabel(, labsize(small)) ciopts( lp(dash) lcolor(maroon)) cismooth graphregion(color(white)) bgcolor(white) legend(off) 
graph export "$caregiver_mast/Outputs/Figures/Coefplot_TbySchoolGrade.pdf", replace

/*

	*Note: Following figure not used in paper
School Fees in Control Schools (Boxplot)
graph box out1_feesPPP if out1_student == 1 & T_0 == 0 & out1_edu <= 12, ///
	over(out1_edu, relabel(1 "P1" 2 "P2" 3 "P3" 4 "P4" 5 "P5" 6 "P6" 7 "P7" 8 "S1" 9 "S2" 10 "S3" 11 "S4" 12 "S5" 13 "S6")) ///
	graphregion(color(white)) bgcolor(white)						///
	ytitle("Fees paid by Controls, \$ ")  title("Fees, by School Grade", color(gs1)) noout ///
	box(1, lcolor(gs1) fcolor(gs10)) 
graph export "Output/Fees_in_Control.pdf", replace
*/
