* **************************************************************************** *
* **************************************************************************** *
*                                                                      		   *
*   	World Food Program SPB Window - Jordan - Impact Evaluation	     	   *
*						  	Baseline Analysis							   	   *
*                                                                     		   *
* **************************************************************************** *
* **************************************************************************** *

/*
  ** PURPOSE       	Pie chart of completion rates
  ** LAST UPDATE    October 12, 2022
  ** DESCRIPTION	Pie charts of completion rates
  ** INPUT			

						Description -- .dta file produced using automatic 	
										import do file generated by SurveyCTO.

  ** OUTPUT				
  		
*******************************************************************************/
	
	* Setting graph colors (dark to light)
	global wfp_blue1    "000 116 172" 	// WFP Blue
	global blue2		"157 202 224" 	// Light blue		
	global blue3		"000 172 54" 	// Green
	global blue4		"87 87 87"		// Grey
	global blue5		"172 56 0"    	// Purple
	global blue6		"255 179 71" 	// Orangish
	global blue7		"242 225 85" 	// Brownish	
	
	* Figure globals
	global CompletionRatesPie   "sort descending pie(1,color($wfp_blue1)) pie(2,color($blue2)) plabel(_all percent, color(black) size(vsmall) format(%2.0f)) line(lcolor(black) lalign(center)) graphregion(fcolor(white) ilcolor(white) lcolor(white)) legend(off) title("$title1" "$title2", color(black) margin(medsmall)) note("$note", size(small) color(black) margin(medsmall))"					
	global Pie				"sort descending plabel(_all percent, size(vsmall) format(%2.0f) gap(22)) line(lcolor(black) lalign(center)) graphregion(fcolor(white) ilcolor(white) lcolor(white)) legend(region(lstyle(none))) note("$note", size(small) color(black) margin(medsmall)) title("$title1" "$title2", color(black) margin(medsmall))"
	global Pie2Lab		"sort descending plabel(_all percent, size(vsmall) format(%2.0f) gap(5)) line(lcolor(black) lalign(center)) graphregion(fcolor(white) ilcolor(white) lcolor(white)) legend(region(lstyle(none))) note("$note", size(small) color(black) margin(medsmall)) title("$title1" "$title2", color(black) margin(medsmall))"	
	global PieSum			"sort descending plabel(_all sum, size(vsmall) format(%2.0f) gap(21)) line(lcolor(black) lalign(center)) graphregion(fcolor(white) ilcolor(white) lcolor(white)) legend(region(lstyle(none))) note("$note", size(small) color(black) margin(medsmall)) title("$title1" "$title2", color(black) margin(medsmall))"
	global Bar					"ylabel(,nogrid labsize(medsmall)) asyvars showyvars bargap(10) blabel(bar, format(%2.0f)) plotregion(fcolor(white)) graphregion(fcolor(white) ilcolor(white) lcolor(white)) b1title($b1title, color(black) size(large)) ytitle($ytitle1 $ytitle2, color(black) size(large) height(-6)) title("$title1" "$title2", color(black)) note($note, size(small) color(black) margin(large))"
	global BarFrac					"ylabel(,nogrid labsize(medsmall)) asyvars showyvars bargap(10) blabel(bar, format(%9.2f)) plotregion(fcolor(white)) graphregion(fcolor(white) ilcolor(white) lcolor(white)) b1title($b1title, color(black) size(large)) ytitle($ytitle1 $ytitle2, color(black) size(large) height(-6)) title("$title1" "$title2", color(black)) note($note, size(small) color(black) margin(large))"
	global HBar					"ylabel(,nogrid labsize(medsmall))  asyvars showyvars bargap(20) blabel(bar, format(%2.0f)) plotregion(fcolor(white)) graphregion(fcolor(white) ilcolor(white) lcolor(white)) l1title($l1title, color(black) size(large)) ytitle($ytitle1 $ytitle2, color(black) size(large) height(-6)) title("$title1" "$title2", color(black)) note($note, size(small) color(black) margin(large))"
	global HBarFrac				"ylabel(,nogrid labsize(medsmall))  asyvars showyvars bargap(20) blabel(bar, format(%9.2f)) plotregion(fcolor(white)) graphregion(fcolor(white) ilcolor(white) lcolor(white)) l1title($l1title, color(black) size(large)) ytitle($ytitle1 $ytitle2, color(black) size(large) height(-6)) title("$title1" "$title2", color(black)) note($note, size(small) color(black) margin(large))"	
	global StackBar					"ylabel(,nogrid labsize(medsmall)) asyvars showyvars plotregion(fcolor(white)) graphregion(fcolor(white) ilcolor(white) lcolor(white)) b1title($b1title, color(black) size(large)) ytitle($ytitle1 $ytitle2, color(black) size(large) height(-6)) title("$title1" "$title2", color(black)) note($note, size(small) color(black) margin(medsmall))"	
	global StackHBar					"ylabel(,nogrid labsize(medsmall)) asyvars showyvars plotregion(fcolor(white)) graphregion(fcolor(white) ilcolor(white) lcolor(white)) l1title($l1title, color(black) size(large)) ytitle($ytitle1 $ytitle2, color(black) size(large) height(-6)) title("$title1" "$title2", color(black)) note($note, size(small) color(black) margin(medsmall))"	
	global Kdensity 			"ylabel(,nogrid labsize(medsmall)) ytitle("Density", color(black) size(large) height(-6)) xtitle($xtitle, color(black)) plotregion(fcolor(white)) graphregion(fcolor(white) ilcolor(white) lcolor(white)) title($title, color(black)) note("$note")"
	global HistogramKdensity "lwidth(vthin) lcolor(black) color("${wfp_blue1}") ylabel(,nogrid labsize(medsmall)) ytitle($ytitle, color(black) size(medsmall) height(-10)) xtitle ($xtitle, color(black)) plotregion(fcolor(white)) graphregion(fcolor(white)  ilcolor(white) lcolor(white)) title("$title1" "$title2", color(black)) note($note) kdenopts(lc(black))"	
	global Histogram "color("${wfp_blue1}") ylabel(,nogrid labsize(medsmall)) ytitle($ytitle, color(black) size(large) height(-10)) xtitle($xtitle, color(black) size(large)) plotregion(fcolor(white)) graphregion(fcolor(white)  ilcolor(white) lcolor(white)) title("$title1" "$title2", color(black)) note($note) lwidth(thin) lcolor(black) lalign(outside)"
	global TwowayHistogram "ylabel(,nogrid labsize(medsmall)) ytitle($ytitle, color(black) size(vsmall) height(-10)) xtitle($xtitle, color(black)) plotregion(fcolor(white)) graphregion(fcolor(white)  ilcolor(white) lcolor(white)) title("$title1" "$title2", color(black)) note($note)"
	global TwowayBar			"ylabel(,nogrid labsize(medsmall)) plotregion(fcolor(white) margin(b = 0)) graphregion(fcolor(white) ilcolor(white) lcolor(white)) xtitle("$x1title", color(black) size(large)) ytitle("$ytitle1" "$ytitle2", color(black) size(medsmall) height(-6)) title("$title1" "$title2", color(black)) note($note) scheme(s2color)"
	global TwowayLine			"ylabel(,nogrid labsize(medsmall)) plotregion(fcolor(white) margin(b = 0)) graphregion(fcolor(white) ilcolor(white) lcolor(white)) xtitle("$x1title", color(black) size(large)) ytitle("$ytitle1" "$ytitle2", color(black) size(large) height(-6)) title("$title1" "$title2", color(black)) note($note) scheme(s2color)"
	global BarCenter					"ylabel(,nogrid labsize(medsmall)) asyvars showyvars bargap(10) blabel(bar, format(%2.0f) position(base)) plotregion(fcolor(white)) graphregion(fcolor(white) ilcolor(white) lcolor(white)) b1title($b1title, color(black) size(large)) ytitle($ytitle1 $ytitle2, color(black) size(large) height(-6)) title("$title1" "$title2", color(black)) note($note, size(small) color(black) margin(medsmall))"
	
	
	* Formatting add-ons
	* Pie charts
	global ptext_format 		", color(black) size(small)"
	
	* Bar graphs
	global bar_format 			"lwidth(thin) lcolor(black) lalign(outside)"
	global bar_format2 			"lwidth(thin) lcolor(white) lalign(outside)"
	global label_format			"label(labsize(medsmall))"
	global label_format_45 		"label(labsize(small) angle(45))"
	global label_format_small	"label(labsize(small))"
	global legend_label_format 	"size(small) region(lstyle(none))"
	
****End do-file. 
