	set scheme lean1
	
	use  "$caregiver_mast/Data/Cohort2014_2015_Data_ForTables_deid.dta", clear

	*** Sample

	keep if baseline == 0 /*(2,092 observations deleted)*/
	
	keep if final_select == 1

	keep if notfoundatFU == 0

	graph bar (count), over(NSC_final_select) over(T_0, relabel(1 "Control Group" 2 "Treatment Group")) asyvars stack ytitle(Number of Applicants) ylabel(0(100)700) ytick(0(50)700) legend(pos(6) ring(3) order(1 "Scholarship Loser" 2 "Scholarship Winner") cols(2)) bar(1, color(gray*0.3) lcolor(black)) bar(2, color(cranberry) lcolor(black))
	graph export "$caregiver_mast/Outputs/Figures/FinalSelected_byAssignment.pdf", replace

	/*
	*Note: the following graphs in not included in the paper
	preserve
	keep if cohort2014 == 1
	keep if NSC_final_select == 1
	keep SCS_schoolname2016 SCS_schooldistrictcode2016 SCS_gen_nOstudents2016

	gen winners14counter = 1
	collapse (sum) winners14counter (first) SCS_gen_nOstudents2016, by(SCS_schoolname2016 SCS_schooldistrictcode2016)
	rename SCS_schoolname2016 SCS_schoolname
	rename SCS_schooldistrictcode2016 SCS_schooldistrictcode
	rename SCS_gen_nOstudents2016 SCS_gen_nOstudents
	tempfile schools14
	save `schools14'
	restore
	
	preserve
	keep if cohort2014 == 0
	keep if NSC_final_select == 1
	keep SCS_schoolname2017 SCS_schooldistrictcode2017 SCS_gen_nOstudents2017

	gen winners15counter = 1
	collapse (sum) winners15counter (first) SCS_gen_nOstudents2017, by(SCS_schoolname2017 SCS_schooldistrictcode2017)
	rename SCS_schoolname2017 SCS_schoolname
	rename SCS_schooldistrictcode2017 SCS_schooldistrictcode
	rename SCS_gen_nOstudents2017 SCS_gen_nOstudents

	tempfile schools15
	save `schools15'
	restore 
	
	use `schools14', clear
	merge 1:1 SCS_schoolname SCS_schooldistrictcode SCS_gen_nOstudents using `schools15'
	
	egen winnerstot = rowtotal(winners14counter winners15counter), missing
	hist winnerstot, freq w(1) xlab(0(5)30) xticks(0(1)30) disc xtitle(Number of MCFSP Scholars)
	graph export "$caregiver_mast/Outputs/Figures/WinnersPerSchool.pdf", replace

	gen winnershareofpop = winnerstot/SCS_gen_nOstudents
	hist winnershareofpop, freq w(0.001) xlab(0(0.01)0.08) xtitle(Share of MCFSP Scholars Over O-Level Students per School)
	graph export "$caregiver_mast/Outputs/Figures/WinnerSharePerSchool.pdf", replace

	*/