/*---------------------------------------------------------------------------*
*Description: 	First Stage of Analysis 									*		
*																			* 
*Date:			13/03/2025													*
*Author:		Benedetta Lerva												*
*																			*
*Input:			Cohort_2014_2015_StandardizedDataset.dta			     	*
*				Cohort2014_2015_Data_ForTables.dta							*
*																			*
*Output:		Tab_FirstStage.tex											*
*Note: 													      				*			
*---------------------------------------------------------------------------*/
	
version 17
set more off

clear all
clear mata

set seed 20200516
pause on

global cohortFE cohort2014
global districtFE i.NSC_intdcode

/*
do "Data - Analysis/Code/Cohort_2014_2015_DatasetCreation_ForTables.do"
*/


	use "$caregiver_mast/Data/Cohort2014_2015_Data_ForTables_deid.dta", clear
	
	*** Sample

	keep if baseline == 0 /*(2,092 observations deleted)*/
	
	keep if final_select == 1
	
	keep if notfoundatFU == 0

	// First stage
	
	reg NSC_final_select T_0 i.NSC_intdcode sex_app cohort2014
	
	lab var NSC_final_select "Won Scholarship"
	lab var T_0 "T"
	esttab using "$caregiver_mast/Outputs/Tables/ITT Effects/Tab_FirstStage.tex", stats(N F r2_a, fmt(0 2 2) ///
	labels("Observations" "F-stat" "Adjusted $ R^{2}$")) keep(T_0) ///
	se replace noconstant nonumber label title(First Stage\label{tab:firststage}) star(* 0.10 ** 0.05 *** 0.01) fragment
